0.225 2020-09-30
----------------


MAME Testers Bugs Fixed
-----------------------
- 07338: [DIP/Input] (crvision.cpp) crvision: Creativision has a 16-way joystick, not an 8-way joystick. (Robbbert)
- 07375: [Interface] clickable artwork: Rotating view does not rotate mouse click targets. (Vas Crabb)
- 07431: [Graphics] (didact.cpp) md6802: Layout not working correctly. (Vas Crabb)
- 07733: [Interface] (galaga.cpp) galaga (others?): LED outputs no longer working. (AJR)
- 07735: [Documentation] (megadriv.cpp) [megadriv] ddragon: Incorrect release year. (ArcadeShadow)
- 07745: [Graphics] Full-screen borderless windows are incorrectly restricted to work area. (Vas Crabb)
- 07749: [Sound] (cyberbal.cpp) cyberbal, cyberbalt: Sampled audio does not play. (AJR)
- 07750: [Documentation] (megadriv.cpp) megadriv [chester, chesterw]: Incorrect release year. (Tafoid)
- 07755: [Graphics] (pc1512.cpp) pc1512: Descenders on bottom line are missing. (AJR)
- 07756: [Interface] (snes.cpp) UI: ROM sets incorrectly reported as not found. (Vas Crabb)
- 07758: [Graphics] (applix.cpp) applix: Descenders on bottom line are missing. (AJR)


New working machines
--------------------
Janken Game Acchi Muite Hoi! (Japan 1.3)
  [Phil Bennett, ShouTime, Surgeville, Sean Sutton, Jred, Mike Krug, Smitdogg, The Dumping Union]
Macro Winners (Play Vision license) Wireless Tennis (PAL, Play Vision) [David Haywood, Sean Riddle]
Mattel Hot Wheels (2 player, pad controllers) [Sean Riddle, David Haywood]
MSI / Arc System Works Double Dragon - 30 Years Anniversary (Plug & Play) [Sean Riddle]
MSI / Bandai Namco Ms. Pac-Man (MSI Plug & Play) [Sean Riddle]
MSI / Capcom Mega Man 2 (MSI Plug & Play) [Sean Riddle]
MSI / Konami Frogger (MSI Plug & Play, white joystick) [David Haywood, Sean Riddle]
MSI / Taito Space Invaders (MSI Plug & Play) [Sean Riddle]
MSI WWE Wrestlemania Steel Cage Challenge (Plug & Play) (set 1) [Sean Riddle]
Novag Constellation Expert [hap, Berger]
Radica / Sega Out Run 2019 (Radica Plug & Play, Europe) [David Haywood, Sean Riddle]
Senario Double Dance Mania: Mega 12 [Sean Riddle, David Haywood]
Senario Double Dance Mania: Supreme / Dance Supreme [Sean Riddle, David Haywood, Kamaal Brown]
Senario Vs. Maxx 17-in-1 [Sean Riddle, David Haywood]
Solar Games 80-in-1 (PAL) [David Haywood, Sean Riddle]
Super Bubble Bobble (Sun Mixing, Megadrive clone hardware) [Jorge Silva, David Haywood]
Taikee World Soccer TV Game 10-in-1 (PAL) [David Haywood, Sean Riddle]
TimeTop Super Game 7-in-1 (TimeTop SuperGame) (PAL) [Takashi Omoto, Sean Riddle]


New working clones
------------------
Air Duel (World, M72 hardware) [Jon Exidy]
Asterion [Lorenzo Fongaro, Xadhoom, Paolo Bolognesi, Paolo Rinoldi]
Le Bagnard (Itisa, Spain) [Juan Romero, ClawGrip]
Battle Garegga (location test) (Wed Jan 17 1996) [Moffitt]
Cruis'n USA (v4.4) [Simzy, Brian Troha, The Dumping Union]
CTA Invader [Dirk Best, Guru]
Gundam Wing: Endless Duel (SNES bootleg, set 2) [Jorge Silva]
The History of Martial Arts (set 2) [hammy]
JoJo's Bizarre Adventure (Euro 990913) [Darksoft]
JoJo's Bizarre Adventure (Euro 990927) [Darksoft]
The Legend of Kage (bootleg set 4) [hammy]
Meteor (bootleg of Asteroids) [Bea, Iris]
Midnight Run: Road Fighter 2 (AAA, Asia v1.10, newer sound program) [Guru]
MSI WWE Wrestlemania Steel Cage Challenge (Plug & Play) (set 2) [Sean Riddle]
Olivmandingo (Spanish bootleg of Mandinga on Galaxian hardware, set 2) [Retromaniacs]
P.O.W. - Prisoners of War (bootleg of US version 1) [Victor Fernandez (City Game)]
Pac-Man (Calfesa, Spanish bootleg on Galaxian hardware) [Juan Romero, ClawGrip]
Pacom Invader (set 2) [Dirk Best, Guru]
Polaris (latest version) [Andrew Welburn, The Dumping Union]
Route X (bootleg, set 2) [Juan Romero, ClawGrip]
Speed Up (Version 2.20) [Victor Fernandez (City Game), ClawGrip]
Street Fighter II': Champion Edition (bootleg, set 1) [f205v, maru79]
Street Fighter II': Champion Edition (bootleg, set 2) [f205v, maru79]
Street Fighter II': Champion Edition (Playmark bootleg, set 2) [Janniz, f205v]
Super Space Invaders '91 (World, earlier?) [caius]
Traverse USA (bootleg, set 2) [Juan Romero, ClawGrip]
VTech V.Smile Baby (France, with 'En Ville avec l'ourson Patoune') [Sean Riddle, TeamEurope]
VTech V.Smile Baby (France, with 'Winnie et ses amis dans la Foret des Reves Bleus') [Sean Riddle, TeamEurope]
VTech V.Smile Baby (Germany, with 'Puuhs Hundert-Morgen-Wald') [Sean Riddle, TeamEurope]


Machines promoted to working
----------------------------
Majesco Golden Nugget Casino [David Haywood, Sean Riddle]
My Wico Guitar [David Haywood, ClawGrip, Sean Riddle]
Performance Designed Products (licensed by Konami) VG Pocket Tablet (VG-4000) [David Haywood]
Quick Pick 5 [MetalliC]
SilverLit 35 in 1 Super Twins [David Haywood, Sean Riddle]
Smart Planet Sudoku Plug & Play TV Game '6 Intelligent Games' [David Haywood, Sean Riddle]


Clones promoted to working
--------------------------
Cadillacs and Dinosaurs (bootleg with PIC16C57, set 2) [TwistedTom]
Tetris (bartop, prototype) [Devin Acker]


New machines marked as NOT_WORKING
----------------------------------
10 Jeux Interactifs / Jeux Pour Filles (France) [David Haywood, Sean Riddle, TeamEurope]
Adacom CP-150 Plus [Bitsavers]
Apple Computer MessagePad [Pablo Marx]
Apple Computer MessagePad 110 [Pablo Marx]
Apple Computer MessagePad 120 [Pablo Marx]
Apple Computer MessagePad 130 [Pablo Marx]
Apple Computer MessagePad 2000 [Pablo Marx]
Apple Computer MessagePad 2100 [Pablo Marx]
Apple Computer Newton Notepad (prototype) [Pablo Marx]
Bare Knuckle III / Sunset Riders (bootleg of Megadrive versions) [hammy]
BornKid Handheld Game Console BC-19 - 218 in 1 [Sean Riddle, David Haywood]
dreamGEAR My Arcade Wireless Video Game Station 200-in-1 (DGUN-2572) [Sean Riddle, David Haywood]
Generalmusic GEM RealPiano RP200 [DBWBP]
Informer 207/100 [Bitsavers]
Informer 207/376 [Dirk Best]
Informer 213 [Bitsavers]
Informer 213 AE [Dirk Best, MattisLind]
JAKKS Pacific Inc / HotGen Ltd Camp Rock Guitar Video Game (JAKKS Pacific TV Game) [Sean Riddle, TeamEurope, David Haywood]
Lucky Player [jordigahan, ClawGrip]
Matrix [bytestorm]
Mexico Lindo [Eduardo Humberto Menezes]
Mini Super Fruits [jordigahan, ClawGrip]
Motorola Marco [Pablo Marx]
New Pro Bowl [Phil Bennett]
Orb Retro Handheld Console 152-in-1 [Sean Riddle, David Haywood]
Pac-Carnival [Phil Bennet]
Photo Play 1998 (Spanish) [Victor Fernandez (City Game), ClawGrip]
Photo Play 2001 (Italian) [Alex Meijer, TeamEurope]
Play Vision / Taikee / V-Tac Worldwide Casino Tour 12-in-1 [David Haywood, Sean Riddle]
Roland JD-800 Programmable Synthesizer [DBWBP]
Roland MKS-7 Super Quartet [DBWBP]
Roland TR-505 Rhythm Composer [DBWBP]
Sharp ExpertPad PI-7000 [Pablo Marx]
Sony Trinitron Color Video Monitor BVM-20F1E [Corrado Tomaselli]
Star Horse 2002 (live) [f205v, rtw]
Star Horse 2002 (main screens) [f205v, rtw]
Star Horse 2002 (sound and backup, Rev A) [f205v, rtw]
unknown Hobby Play slot machine [jordigahan, ClawGrip]
unknown Konami slot medal game (set 1) [SpinalFeyd]
unknown Konami slot medal game (set 2) [Phil Bennett]
unknown MGA or Costa Net slot machine [jordigahan, ArcadeHacker, ClawGrip]
UNO the Medal [Darksoft, rtw]
Votrax/Phonic Mirror HandiVoice HC-110 [Kevin Horton]
Wai Wai Jockey [Phil Bennet]
Wild Guns (SNES bootleg) [Jorge Silva]
Zeebo Inc. Zeebo (Brazil) [Triple Oxygen]


New clones marked as NOT_WORKING
--------------------------------
Bubble Bobble (bootleg of Japan Ver 0.0 with 8749) [ArcadeHacker, Recreativos.org, The Dumping Union]
Gals Panic II (English, 2 PCB ver.) [Jorge Silva]
Master Bond (bootleg of Secret Agent) [caius]
Panic Park (Japan, PNP1 Ver. B, set 2) [Guru]
Photo Play 2000 (Spanish) [jordigahan, ClawGrip]
Professional Data Computer Clipper [Jos Dreesen, Curt Coder]
Sahara Love (France) [PinMAME]
Tecnodarts (Recreativos G.R. license) [Victor Fernandez (City Game), ClawGrip]
Votrax/Phonic Mirror HandiVoice HC-120 [Kevin Horton]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  Bop-A-Bet (cleanly cracked), Learning to Add and Subtract (cleanly cracked), Playing with Science: Temperature (cleanly cracked)
  [4am, Firehawke]
apple2_flop_orig:
  Alf (Version 3.2), The American Challenge: A Sailing Simulation, Apple Galaxian (StarCraft), Apple World, Apventure to Atlantis,
  Bank Street Storybook (Version 1.2), BattleTech: The Crescent Hawk's Inception, Bop 'N Wrestle, Centauri Alliance,
  The Coveted Mirror (1983 Penguin Software release), Crossword Magic (Version 4.0), Dawn Patrol, Dungeon!, Forbidden Castle, Jaws,
  The Last Ninja, Midnight Malady, Mission on Thunderhead, The Mist, Mummy's Curse, NBA (Version 1.0), Nibbler,
  Panzer Strike! (Version 1.0), Police Quest, Riddle Magic, Space Rogue, Techno Cop, Theseus and the Minotaur,
  Valentine's Day Grump, Voodoo Island, Write It Right! Capitalization and Punctuation [4am, Firehawke]
bbc_flop_hybrid:
  AMPLE Bytes Back R1, AMPLE Bytes Back R2, AMPLE Toolbox, AMPLE Vibrations, Amplinex 001, Amplinex 002, Amplinex 003, Amplinex 004,
  Amplinex 005, Amplinex 006, Amplinex 007, Amplinex 008, Amplinex 009, Amplinex 010, Amplinex 011, Amplinex 012, Amplinex 013,
  Amplinex 014, Amplinex 015, Amplinex 016, Amplinex 017, Amplinex 018, Amplinex 019, Amplinex 020, Amplinex 021, Amplinex 022,
  Amplinex 023, Amplinex 024, Amplinex 025, Amplinex 026, Amplinex 027, Amplinex 028, Amplinex M06, Amplinex M09, Amplinex M13,
  Amplinex U11, Ashes R1, ATPL Symphony, Cosmix R2, Inside Stories, Jazz Disc Vol.1, The Legend of Obernell, Music 500,
  Music 5000 Volume 10: Monster Computations 3, Music 5000 Volume 11: Phil Comber "Deux",
  Music 5000 Volume 12: The Noige's "Moments in Time", Music 5000 Volume 13: Jean-Michel Jarre, Music 5000 Volume 14: Take a Bite,
  Music 5000 Volume 15: Children in Need 2, Music 5000 Volume 16: Monster Computations 4,
  Music 5000 Volume 1: Monster Computations 1, Music 5000 Volume 2: Phil Comber 1, Music 5000 Volume 3: Bernie Dawson 1,
  Music 5000 Volume 4: Monster Computations 2, Music 5000 Volume 5: Paul Nuttall 1, Music 5000 Volume 6: Andy Knight 1,
  Music 5000 Volume 7: David King 1, Music 5000 Volume 8: Children in Need 1, Music 5000 Volume 9: The Noige "Echoes",
  Music 87 Software  Music City 2, Music City R2, Notes, Plaice R1, Return to the Homeland R1, Return to the Homeland R2,
  Shivering Again, Sound Worlds 1: Soundspace, Sound Worlds 2: Soundscape, Sound Worlds 4: Soundscore, Soundshow, Soundstory,
  Studio 5000, Studio 5000-4B, Studio-2, Studio-3, Wave Designer [Nigel Barnes]
electron_cart: Commstar E1.10, ROMPlus-144 v2.1 [Nigel Barnes]
fmtowns_cd:
  Bible Master 2 - The Chaos of Aglia, Dungeon Master (1989-11-14), F-BASIC386 Compiler v2.1 L10,
  FM Towns Demonstration CD-ROM '90. Fuyu - The Galaxy of FM Towns, Ginga Eiyuu Densetsu II DX+ Towns Special,
  Hyper Planet (1990-09-15), Illusion CG Collection Vol. 1 - Yawahada Bishoujo,
  Indiana Jones and the Last Crusade (Pre-Release Version), Kyouiku & FM Towns Vol. 2,
  NHK Eigo de Asobo Vol. 3 - Bernard no Amusement Park, NHK Special - Ginga Uchuu Odyssey Vol. 2 - Choushinsei Bakuhatsu, Presence,
  Psychic Detective Series Vol. 2 - Memories (Demo), Sherlock Holmes - Consulting Detective (Demo), Steepia Lite, Trigger 2,
  Z's Triphony DigitalCraft Towns (HMB-212), Zan II - Towns Special (1992-03-19) [redump.org, r09]
  Oshiete Noobow [sampson, r09]
fmtowns_flop: 386|ASM Tool Kit V1.1, Super Daisenryaku [anonymous, r09]
hp9k3xx_cdrom:
  HP-UX 8.0 Application Software May 1992, HP-UX Release 8.0 for Series 300/400 [archive.org, Davide Cavalca]
  HP LaserROM HP-UX Release 9.0 April 1994, HP Precision Enginnering Systems December 1992,
  HP-UX 8.0 Application Software September 1992, HP-UX 9.0 Application Software June 1993,
  HP-UX 9.0 Application Software October 1992 [Bitsavers, Davide Cavalca]
ibm5150:
  4D Sports Driving (3.5", Euro), 4D Sports Driving (5.25", Euro),
  Indiana Jones and the Last Crusade - The Graphic Adventure (Germany), Space Harrier,
  Test Drive III - The Passion (3.5") [ArcadeShadow]
  Fire & Forget 2 [darkstar]
ibm5150_hdd: SCO XENIX System V release 2.1.3 for i8086 [Davide Cavalca]
ibm5170:
  Alien Carnage (FormGen release), Alien Carnage (set 2, older), Bloodstone: An Epic Dwarven Tale,
  Fables & Fiends - Book One: The Legend of Kyrandia (v1.0, 5.25"), Formula One Grand Prix (Euro, v1.05), In Extremis,
  Indiana Jones and the Last Crusade - The Graphic Adventure (3.5", VGA version, re-release), Innocent Until Caught,
  Little Big Adventure (Euro), Mega lo Mania (Germany), NASCAR Racing, NASCAR: Track Pack, SSN-21 SeaWolf, Soccer Kid (Euro)
  [ArcadeShadow]
  DOOM (1.2, Shareware for BBS SysOps) [Davide Cavalca]
  GayBlade [Ryan Best]
ibm5170_hdd:
  DR DOS 6.0, IBM PC DOS 2000, Microsoft Windows Version 3.0, MS-DOS (Version 5.00), MS-DOS (Version 6.00), MS-DOS (Version 6.22),
  Novell DOS 7, Novell DR Multiuser DOS Release 5.1, PC DOS (Version 6.3), Windows Version 3.1 [Davide Cavalca]
videopac:
  Baseball (US, plus, prototype), Flash Point (US, prototype), Service Test Cartridge (Europe) [René van den Enden (Rene_G7400)]
vsmilem_cart: Yingyu Yundongyuan (China) [tenyuhuang]


Software list items promoted to working
---------------------------------------
cpc_flop:
  Indiana Jones, Indiana Jones and the Fate of Atlantis (UK), Indiana Jones and the Fate of Atlantis (UK) (2 faces),
  Indiana Jones and the Fate of Atlantis (UK) [a1], Indiana Jones and the Fate of Atlantis (US Gold)[cr XOR][t XOR],
  Indiana Jones and the Last Crusade, Indiana Jones and the Last Crusade #1, Indiana Jones and the Last Crusade #2,
  Indiana Jones and the Last Crusade #3, Indiana Jones and the Last Crusade #5, Indiana Jones and the Last Crusade (UK) [a1],
  Indiana Jones and the Last Crusade (US Gold), Indiana Jones and the Last Crusade (US Gold)[cr CACH][t CACH],
  Indiana Jones and the Last Crusade (US Gold)[cr XOR][t +2 XOR], Indiana Jones and the Temple of Doom,
  Indiana Jones and the Temple of Doom & Dan Dare, Indiana Jones and the Temple of Doom (Euro),
  Indiana Jones and the Temple of Doom (UK), Indiana Jones and the Temple of Doom (UK) [Original],
  Indiana Jones and the Temple of Doom (UK) [h1], Indiana_Jones_2-The_Temple_of_Doom__CHANY-NPS,
  Thunder Burner (Loriciels)[cr XOR][t XOR], Thunder Burner (Loriciels)[cr XOR][t XOR][a], Thunder Burner (UK) [t1],
  Thunderbirds (Euro), Thunderbirds (Grandslam Entertainments)[cr Jupiter], Thunderbirds (UK) (2 faces) (CPM) [Original],
  Thunderbirds (UK) [a2] [Barry Rodewald]
fmtowns_cd:
  Railroad Tycoon [anonymous, r09]
  Lip 3 - Lipstick Adventure 3 [r09]
  Wizardry - Crusaders of the Dark Savant [redump.org, r09]
ibm5170: The Humans (3.5" DD) [ArcadeShadow]


New NOT_WORKING software list additions
---------------------------------------
bbc_flop_hybrid: Soundstage [Nigel Barnes]
clipper_flop: System [Jos Dreesen, Curt Coder]
fmtowns_cd: Hyper Address Ver. 2.0, Megamorph (Demo) Record of Lodoss War II - Goshiki no Maryuu [redump.org, r09]
mac_hdflop: GayBlade [Ryan Best]
vsmile_cart: V.Smile Smart Keyboard (USA) [tenyuhuang]


Merged pull requests
--------------------
- 6833: sound/es5506.cpp: Use device_memory_interface for samples; audio/taito_en.cpp: Implemented device_mixer_interface. [cam900]
- 7090: machine/cs8900a.cpp: Ported Crystal LAN MAC from VICE, and utilised it for Apple II Uthernet card. [Rhett Aultman]
- 7095: pgm.cpp: Adjusted kof98umh refresh rate to match a video recording. [cam900]
- 7111: bagman.cpp: Added clone Le Bagnard (Itisa, Spain). [Juan Romero, ClawGrip]
- 7114: photoply.cpp: Added Photo Play 1998 (Spanish). [Victor Fernandez (City Game), ClawGrip]
- 7115: ibm5170.xml: Added six entries. [ArcadeShadow]
- 7116: spg2xx_zone_32bit.cpp: Fixed mywicogt inputs; vegas.cpp: Corrected metadata. [David Haywood]
- 7119: ibm5150.xml: Added two and re-dumped two entries. [ArcadeShadow]
- 7120: tecnodar.cpp: Added clone Tecnodarts (Recreativos G.R. license). [Victor Fernandez (City Game), ClawGrip]
- 7127: apple2_flop_clcracked.xml: Cleaned up metadata and added placeholders for missing disk dumps. [Firehawke]
- 7128: clickstart.cpp: Added note about cartridge pinout. [ClawGrip]
- 7129: leapfrog_leappad.cpp: Added note about cartridge pinout. [ClawGrip]
- 7130: sega_beena.cpp: Added note about cartridge pinout. [clawgrip]
- 7134: elan_eu3a05.cpp: Added Worldwide Casino Tour 12-in-1 (boots but doesn’t work). [David Haywood, Sean Riddle]
- 7136: mpu5.cpp: Added note about undumped microcontroller on auxiliary output demultiplexing PCB. [clawgrip]
- 7137: spg2xx.cpp: Added Hot Wheels (2 player, pad controllers). [Sean Riddle, David Haywood]
- 7138: startouch.cpp: Added two new BIOS dumps. [Victor Fernandez (City Game). ClawGrip] [clawgrip]
- 7139: cps1bl_pic.cpp: Dumped re-dumed bad graphics ROM for dinopic2, and missing PALs for slampic and dinopic2. [TwistedTom]
- 7140: toaplan2.cpp: Added location test version of Battle Garegga, and fixed YM2151/M6295 sound balance. [Moffitt]
- 7141: startouch.cpp: Improved BIOS descriptions and notes. [ClawGrip]
- 7142: zeebo_qualcomm_adreno130.cpp: Added Zeebo (Brazil). [Triple Oxygen, David Haywood]
- 7143: photoply.cpp: Added Seagate ST31722A hard disk firmware dump to photoply98sp. [ClawGrip]
- 7144: megadriv_acbl.cpp: Added Super Bubble Bobble (Sun Mixing, Megadrive clone hardware). [Jorge Silva, David Haywood]
- 7149: photoply.cpp: Added clone Photo Play 2000 (Spanish). [jordigahan, ClawGrip]
- 7150: nes_vt.cpp: Added MSI Ms. Pac-Man and Space Invaders TV games. [Sean Riddle, David Haywood]
- 7151: photoply.cpp: Added Photo Play 2001 (Italian). [Alex Meijer, TeamEurope, ClawGrip]
- 7152: generalplus_gpl_unknown.cpp: Started using internal ROM for pcp8718/pcp8728; nes_vt.cpp: Added MSI Mega Man 2 TV game.
  [Sean Riddle, David Haywood]
- 7153: hp9k3xx_cdrom.xml: Added seven entries. [archive.org, Bitsavers, Davide Cavalca]
- 7154: Added two entries, re-dumped one entry, and corrected some metadata. [ArcadeShadow]
- 7156: asteroid.cpp: Added clone Meteor (bootleg of Asteroids). [Bea, Iris, ClawGrip]
- 7157: ibm5150_hdd.xml: Added software list with pre-installed SCO XENIX operating system image. [Davide Cavalca]
- 7158: spg2xx_wiwi.cpp, vt_unknown.cpp: Added three TV games. [Sean Riddle, David Haywood, Kamaal Brown]
- 7160: ibm5170.xml: Added two entries, and re-dumped one entry. [ArcadeShadow]
- 7162: osd/sdl: Removed unused MASK parameter from taputil.sh script. [Rhett Aultman]
- 7163: ddealer.cpp: Converted drawing to use tilemaps, reduced tag map lookups, and cleaned up code. [cam900]
- 7164: fmtowns_cd.xml: Added six entries, and replaced 13 entries with better dumps. [redump.org, r09]
- 7165: vg5k.cpp: Added support for WAV tape files, and fixed timings. [Sylvain Glaize]
- 7166: Detect clang version when building for Android. [Tiago Pierezan Camargo]
- 7167: startouch.cpp: Added notes about undumped games and hard disks used. [ClawGrip]
- 7168: generalplus_gpl_unknown.cpp: Added some experimental code allowing pcp8718/pcp8728 to progress further. [David Haywood]
- 7169: Refactored sound stream code and interface, improving mixing and re-sampling. [Aaron Giles]
- 7170: vg5k.cpp: Added support for the “Delta” (NMI) key. [Sylvain Glaize]
- 7172: missbamby.cpp: Added Lucky Player and Mini Super Fruits. [jordigahan, ClawGrip]
- 7173: y2.cpp: Added placeholder comments for undumped games. [cam900]
- 7174: machine/wd33c93.cpp: Added delays necessary for systems that poll the DRQ line. [shattered]
- 7175: cps1bl_5205.cpp, cps1bl_pic.cpp, midyunit.cpp: Dumped PALs for captcommb2, knightsb3 and mkyawdim2. [TwistedTom]
- 7179: cpu/unsp: Fixed µ'nSP 2.0 extended push/pop; generalplus_gpl_unknown.cpp: Simulated pcp8718/pcp8728 menu controller.
  [David Haywood]
- 7181: apple2_flop_clcracked.xml, apple2_flop_orig.xml: Added latest cracks and dumps. [4am, Firehawke]
- 7182: apple2_flop_orig.xml: Synchronized metadata for The Sorcerer of Claymorgue Castle. [Firehawke]
- 7184: deco_mlc.cpp: Fixed invisible pixel rows in vertically zoomed sprites. [cam900]
- 7185: atetris.cpp: Added support for bar-top prototype’s bank switching scheme. [Devin Acker]
- 7186: nex_vt.cpp, Added TimeTop Super Game 7-in-1 and MSI Frogger TV games. [Takashi Omoto, Sean Riddle, David Haywood]
- 7187: ibm5170.xml: Added disk labels for msos2_13. [Davide Cavalca]
- 7188: ibm5170_hdd.xml: Added software list with pre-installed operating system images. [Davide Cavalca]
- 7189: cps1bl_pic.cpp: Dumped PALs for jurassic99. [TwistedTom]
- 7190: fmtowns.cpp: Fixed 15-bit sprite color masking and bottom layer drawing (fixes Niko² and Hatchake Ayayo 1-2-3). [r09]
- 7191: vsmileb.cpp: Added V.Smile Baby (Germany, with 'Puuhs Hundert-Morgen-Wald'). [Sean Riddle, TeamEurope, ClawGrip]
- 7192: ibm5170_hdd.xml: Added six more pre-installed operating system images. [Davide Cavalca]
- 7195: vsmileb_cart.xml: Added two entries for built-in games from special console versions. [Sean Riddle, TeamEurope, ClawGrip]
- 7196: pc98.xml: Removed stray trailing space character from SHA1 digest. [Thomas Klausner]
- 7197: ibm5170.xml: Added four entries and corrected a parent/clone relationship. [ArcadeShadow]
- 7198: seta2.cpp: Fixed missing rightmost column of pixels in horizontally zoomed sprites, and updated notes. [cam900]
- 7200: drdmania.cpp: Added dump of physically damaged ROM chip to drdmania. [Caps0ff, ClawGrip]
- 7202: imgtool: Removed tests for pointers that can never be null. [Nathan Woods]
- 7204: drdmania.cpp: Added ASCII PCB layout diagram. [ClawGrip]
- 7205: vsmileb.cpp: Added clones for French consoles with built-in games. [Sean Riddle, TeamEurope, ClawGrip]
- 7206: hobbyplay.cpp: Added note about dot-matrix displays used by slot machines. [ClawGrip]
- 7207: rfslots8085.cpp: Add ASCII PCB layout diagram. [ClawGrip]
- 7208: unk6502_st2xxx.cpp: Load preliminary dump of internal CPU ROM for several sets. [David Haywood, Sean Riddle]
- 7209: rfslots8085.cpp: Add note about games on this hardware. [ClawGrip]
- 7210: fmtowns_cd.xml Added 13 entries, and replaced 16 entries with better dumps. [redump.org, r09]
- 7212: nes_vt.cpp, unk6502_st2xxx.cpp: Added two TV games; generalplus_gpl16250_romram.cpp: Added inputs for jak_ths.
  [Sean Riddle, David Haywood]
- 7214: netlist: Added MCM14524, CD4029, CD4030, CD4042 and CD4049 devices. [Lord Nightmare]
- 7215: p200t.cpp: Added support for mini digital cassette recorder (MDCR). [Erwin Jansen]
- 7218: gaelco3d.cpp: Added clone Speed Up (Version 2.20). [Victor Fernandez (City Game), ClawGrip]
- 7220: neptunp2.cpp: Corrected game metadata. [ClawGrip]
- 7222: docs: Overhauled the default key bindings documentation. [Firehawke]
- 7223: apple2_flop_clcracked.xml: Added disk labels; apple2_flop_orig.xml: Added latest dumps. [4am, Firehawke]
- 7224: Converted Alpha Denshi ALPHA-8921 sprite serializer (used as protection on Neo Geo PROG-G2 boards) to a device. [cam900]
- 7227: ibm5170.xml: Added DOOM (1.2, Shareware for BBS SysOps). [Davide Cavalca]
- 7229: ibm5170.xml: Added one entry and re-dumped one entry. [ArcadeShadow]
- 7230: bublbobl.cpp: Dumped and verified PROM from bub8749. [ArcadeHacker, ClawGrip]
- 7231: bublbobl.cpp: Removed outdated comment about bootlegs with 8749 microcontroller. [ClawGrip]
- 7232: zn.cpp: Added option to use six-button controls to tgm, for use with hidden debugging features. [Devin Acker]
- 7233: megaplay.cpp: Enabled the commented-out DIP switches for mp_col3, as they seem to work fine. [Devin Acker]
- 7235: galaxian.cpp: Added Olivmandingo (Spanish bootleg of Mandinga on Galaxian hardware, set 2). [Retromaniacs, ClawGrip]
- 7236: microdar.cpp: Added note about undumped game. [ClawGrip]
- 7237: generalplus_gpl16250_nand.cpp: Added Camp Rock Guitar Video Game. [Sean Riddle, TeamEurope, David Haywood]
- 7238: plugins/cheat: Copy the cheat table so as not to expose internal state. [Carl]
- 7244: vsmilem_cart.xml: Added Yingyu Yundongyuan (China). [tenyuhuang, ClawGrip]
- 7245: vsmile_cart.xml: Added V.Smile Smart Keyboard (USA). [tenyuhuang, ClawGrip]
- 7248: prehisle.cpp: Fixed text/sprite priorities, and corrected regional titles. [cam900]
- 7251: docs: Removed contentious note about -syncrefresh option. [Firehawke]
- 7252: apple2_flop_orig.xml: Added latest dumps. [4am, Firehawke]
- 7253: p2000t.cpp: Added MDCR device to p200m, reset phase decoder on tape-end signal, and detect presence of tape. [Erwin Jansen]
- 7254: emscripten: Added function to exception whitelist needed for pong, and allowed -video accel to use WebGL. [Couriersud]
- 7255: generalplus_gpl_unknown.cpp, nes_vt.cpp: Added two TV games, and replaced a lot of obsolete simulation code.
  [Sean Riddle, David Haywood]
- 7258: segag80r.cpp: Improved performance of audio circuit emulation. [Couriersud]
- 7259: sound/ay8910.cpp: Reduced performance impact of using AY8930 expanded mode. [cam900]
- 7262: plugins/cheat: Fixed potentially accessing an uninitialised dictionary item. [Nathan Woods]
- 7263: fmtowns_flop.xml: Added two entries. [anonymous, r09]
- 7264: generalplus_gpl32612.cpp: Added some bootstrap code so that the ARM CPU has something to run. [David Haywood]
- 7265: util/bitmap.cpp: Improved performance of fill member function on modern CPUs. [Vas Crabb]
- 7269: megadriv_rad.cpp, nes_vt.cpp, spg2xx.cpp: Added five TV games. [David Haywood, Sean Riddle, TeamEurope]
- 7270: generalplus_gpl_unknown.cpp: Made pcp8718/pcp8728/bkid218 menu controller a device. [David Haywood]
- 7276: vtech_storio_cart.xml: Completed list of released software in comment, and added notes on product codes/EANs. [David Silva]
- 7277: wswan.cpp: Added support for boot ROM, and fixed background color selection in color mode. [Wilbert Pol]
- 7278: taitoair.cpp: Added not about rotate/zoom chip. [cam900]
- 7279: Made mulcd.hxx file depend on GEN_FOLDERS target. [Jamie]
- 7281: fmtowns_cd.xml: Added three entries, replaced five entries with better dumps, and added floppies for lipsadv3 and railtycn.
  [redump.org, sampson, anonymous, r09]
- 7282: video/ppu2c0x_vt.cpp: Implemented emphasis modes and fixed a number of issues with VT palette modes. [David Haywood]
- 7283: sound/ay8910.cpp: Fixed regression in noise rate calculation. [cam900]
- 7284: bus/bw2/ramcard.cpp: Fixed address range; bw2.cpp: Fixed floppy write protect polarity. [lfantoniosi]
- 7285: nes_vt.cpp: Fixed logic for external memory/internal mapper selection, and tweaked control input handling. [David Haywood]
- 7287: ibm5150.xml: Added Fire & Forget 2. [darkstar]
- 7288: bl_handhelds_menucontrol.cpp, nes_vt.cpp: Improved save state support. [David Haywood]
- 7289: formats/imd_dsk.cpp: Fixed issue when changing images. [lfantoniosi]


Source Changes
--------------
-ibm5150 - New working software list additions [ArcadeShadow]
 * Added: Indiana Jones and the Last Crusade - The Graphic Adventure (Germany), Space Harrier, Test Drive III - The Passion (5.25")
    Reuploaded a redumped [martmemo] set (the old one has a modified OEM ID and modified root) Reuploaded a redumped [td3] set (the
    old one has configuration file - TD3.CFG) Renamed set [td3] Test Drive III - The Passion --> [td3_35] Test Drive III - The
    Passion (3.5")

-ibm5170 - New working software list additions (#7115) [ArcadeShadow]
 * ibm5170: Alien Carnage (set 2, older), Alien Carnage (FormGen release), Bloodstone: An Epic Dwarven Tale, Formula One Grand Prix
    (Euro, v1.05), Little Big Adventure (Euro), Soccer Kid (Euro)
 * Renamed set [aliencrn]: Alien Carnage --> Alien Carnage (set 1) Renamed set [f1gp] Formula One Grand Prix --> [f1gpa] Formula One
    Grand Prix (Euro, v1.03)

-dpb7000: Hooked up keyboard. First pass at TDS Box hookup. [Ryan Holtz]

new WORKING machines
--------------------
WWE Wrestlemania Steel Cage Challenge (Plug & Play) [Sean Riddle]
Double Dragon - 30 Years Anniversary (Plug & Play) [Sean Riddle]

-netlist: Macro DIP definitons for TMS4800, 9314, 9334 [couriersud]

-odyssey2: add notes [hap]

-cpc_flop.xml: Separated and reorganised Thunderbirds, Thunder Blade and Thunder Burner. [Barry Rodewald]

-sgi_mips.xml:  Fix double bracket in description (nw) [Scott Stone]

-sc01: Fix pitch and closure [O. Galibert] wow, gorf: Fix sc01 hookup [O. Galibert, Frank Palazzolo, plgDavid]
 * Note that the dynamic clock changes will sound bad until Aaron's sound stream fixes are in.

-netlist: macro dip definition for 8277,am2847,mm5837. [couriersud]

-fixed MPU4 flags (nw) [James Wallace]

-odyssey2: rename hash files to videopac and videopacp [hap]

-netlist: templatize 74107 and code maintenance. [couriersud]
 * removed some dead friend declarations
 * optimized template times_ns2

-netlist: Fix visibility in some devices. [couriersud]
 * private rules.

-netlist: References to subdevices should be symbolic. [couriersud]
 * Exposing sub-device members is not best practice.
 * The need for sub-devices is a clear indication that a netlist language implementation would be a better solution.

-6522via.cpp: Add support for CB2 pulse mode [R. Belmont, Peter Ferrie]

-apple2: add SC-01 speech to the Mockingboard emulation [R. Belmont, O. Galibert]

-z8: Add interface notes [AJR]

-some misc loose ends / small changes (set descripton tweaks + promoted my wico guitar with better input mappings) (#7116)
 [David Haywood]
 * both nbanfl and nbagold are 'SportStation' (not SportsStation) as that is what these 2-in-1 units were sold as, and is what is
    shown on the game select menu.
 * tweak comments

machines promoted to WORKING
----------------------------
My Wico Guitar [David Haywood, ClawGrip, Sean Riddle]

-tweak [David Haywood]

-consistency [David Haywood]

-netlist: in devices folder all DIP devices were removed. [couriersud]
 * NE555 and MC1455P were the last devices with DIP definitions in devices.

-electron_romboxp: Fixed printer interface. [Nigel Barnes]

-bus/electron: Added the P.R.E.S. AP1/AP6 and First Byte Printer Interface devices. [Nigel Barnes]

-clickstart.cpp: Add note about cartridges pinout (#7128) [ClawGrip]

-leapfrog_leappad.cpp: Add note about the cartridges pinout (#7129) [ClawGrip]

-sega_beena.cpp: Add note about cartridges pinout (#7130) [ClawGrip]

-z8: Add optional logging for SIO [AJR]

-diserial: Use logmacro for optional logging and make the messages more useful [AJR]

-docs: Add naming conventions for certain things. [Vas Crabb]
 * This isn’t supposed to be too prescriptive.  The C++ stuff just codifies some things we’ve managed to mostly agree on for public
    interfaces.  The stuff for titles/descriptions is also just codifying existing rules so there’s something to point people
    towards.  This will need to be refined as we go forward.

-unk6502_st2xxx.cpp: Better guess [AJR]

-i8244: change pos hold strobe again, add sound interrupt [hap]

-videopac.xml: sync most internal rom names with rene, use alt_title where title is different in other region [hap]

New working software list additions
-----------------------------------
videopac: Service Test Cartridge (Europe) [René van den Enden (Rene_G7400)]
videopacp: Baseball (US, plus, prototype), Flashpoint (US, prototype) [René van den Enden (Rene_G7400)]

-splash.cpp: added some notes about ringball inputs [Ivan Vangelista]

-cinemat: Fix naming convention violation. [Aaron Giles]

-cv1k.cpp slightly more accurate frame rate [rtw, MetalliC]

-alpha68k_n.cpp: improved Kyros no Yakata PCB documentation [Guru]

New working clones
------------------
Route X (bootleg, set 2) [Juan Romero, ClawGrip]
Pac-Man (Calfesa, Spanish bootleg on Galaxian hardware)  [Juan Romero, ClawGrip]

-More metadata cleanups on Apple II disks. (#7127) [Firehawke]

-New clones marked as NOT_WORKING (#7120) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
Tecnodarts (Recreativos G.R. license) [Victor Fernandez (City Game), ClawGrip]

-New machines marked as NOT_WORKING  (#7114) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Photo Play 1998 (Spanish) [Victor Fernandez (City Game), ClawGrip]

-New working clones (#7111) [ClawGrip]

New working clones
------------------
Le Bagnard (Itisa, Spain) [Juan Romero, ClawGrip]

-netlist: build system improvements [couriersud]
 * Medium term this will significantly ease adding devices to netlist.

-netlist: clang tidy include order fixes. [couriersud]

-netlist: Add 7417, 7438, 74290/74293 devices. Fix PROM DIPs. [Aaron Giles]

-netlist: more standalone makefile changes [couriersud]
 * On windows a simple make is now enough to build.
 * Devices, macro and tests folders now included with wildcard.
 * No more makefile changes if a device is added.
 * Moved nld_devinc.h to generated folder
 * Added to python scripts to create nld_devinc.h and lib_entries.hxx
 * TEST MODE: these two files are created automatically but are not used currently. Once I get feedback that the python scripts work
    in different environments I will remove header files from devices and macro and start using these files in production.

-luaengine: add load_software [cracyc]

-bbc_autocue: Corrected RAM page register. [Nigel Barnes]

-electron_plus1, electron_plus2, electron_romboxp: Allow cartridges to write to bank 13. [Nigel Barnes]

-electron_sndexp: ROM is mapped to bank 13. [Nigel Barnes]

-ef9340: fix drawing over wrong area when service row is disabled [hap]

-mac: fix ADB for SE and early II-series machines [R. Belmont]

-Get rid of a bunch of _Names - any name starting with an underscore followed by an uppercase letter is reserved [Vas Crabb]

-netlist: Fix various issues around include directories. [couriersud]
 * removed include directory src/lib/netlist from various genie files to avoid potential issues.
 * Code using netlist should use #include "netlist/*".
 * Updated includes.
 * Fixed standalone makefile depend target to properly deal with relative paths.

-Updated netlist licenses to CC0. Various minor adjustments based on PR comments. [Aaron Giles]

-new NOT WORKING machines (#7134) [David Haywood]

new NOT WORKING machines
------------------------
Worldwide Casino Tour 12-in-1 [David Haywood, Sean Riddle]

-new NOT WORKING machines (#7137) [David Haywood]

new NOT WORKING machines
------------------------
Hot Wheels (2 player, pad controllers) [Sean Riddle, David Haywood]

-mpu5.cpp: Add note about aux mux PCB with undumped MCU (#7136) [ClawGrip]

-odyssey2: make videopac the parent set [hap]

-videopac.xml: merge with videopacp, there's too little amount of vp+ exclusives [hap]

-videopac.xml: sort out cloneof sets [hap]

-mpu4vid.cpp: Added preliminary layout, inputs for Double Take [James Wallace]
 * BACTA Datalogger: Attempt at a fix for missed character transmissions.

-netlist: Change license to CC0 in macro folder. [couriersud]
 * Got agreement from contributors over social media.

-39in1.cpp: some improvements to the decryption of the newer games, still missing something [Ivan Vangelista]

-startouch.cpp: Add two new BIOS dumps [Victor Fernandez (City Game), ClawGrip] (#7138) [ClawGrip]

-mac: eliminated runtime region lookups and fixed several non-booting models. [R. Belmont]

-sp0250: Apparently this is how STRUCT_MEMBER is supposed to work. [Aaron Giles]

-Apollo updates: [Hans Ostermeyer]
 * Changed "20 years ago" Y2K-avoidance option to "30 years ago"
 * Removed runtime device lookup
 * Fixed reset command handling in 3C505

-BACTA - turn off log pollution (nw) [James Wallace]

-videopac.xml: add usage notes to testcart [hap]

-segausb.cpp: STRUCT_MEMBER allows you to avoid loops and unclutter the source list in debugger memory windows [Vas Crabb]

-audio/cinemat.cpp: small cleanup/safety improvement [Vas Crabb]

-zr107.cpp: corrected texture ROMs loading for jetwave and clones. They now pass the mask ROM check. Partially fixes MT07731
 [Ivan Vangelista]

-zr107.cpp: make the rest of the games pass the texture mask ROM test. The tile mask ROM test still fails [Ivan Vangelista]

-midxunit.cpp corrected ROM labels [MetalliC]

-netlist: standalone makefile support for OSX [couriersud]

-netlist: Truth tables are now standalone objects. [couriersud]
 * Added TRUTHTABLE_ENTRY to netlist language.
 * Please see nlm_ttl74xx for reference implementation.

-ef9365: remove improper hyperlink from notes [hap]

-new WORKING machine (Super Bubble Bobble Sun Mixing Megadrive HW) (#7144) [David Haywood]

new WORKING machine
-------------------
Super Bubble Bobble (Sun Mixing, Megadrive clone hardware) [Jorge Silva, David Haywood]

-toaplan2.cpp: Add Battle Garegga location test (#7140) [Hatsune Mike]
 * Added bgareggap loctest set to toaplan2.cpp
 * Fixed YM2151/OKI level balancing for Battle Garegga and Armed Police Batrider

New working machines
--------------------
Battle Garegga (location test) (Wed Jan 17 1996) [Hatsune Mike]

-validity.cpp: Limit characters allowed in I/O port tags, and check ROMs and I/O ports for devices individually. [Vas Crabb]

-Fix clang version detection under Emscripten. [Justin Kerk]

-sgi_mips.xml:  Fix labels (should not have .chd extention)  (nw) [Scott Stone]

-crvision: added usage; fixed stoneage freeze; fixed MT 07338. [Robbbert]

-bus/bbc/userport: Added the Sprow LCD Display. [Nigel Barnes]

-es5506.cpp: Updates [cam900]
 * Correct Taito ES5505 Bankswitching behavior
 * Sample bank per ES5505 voice is actually taito_en.cpp specific
 * Move external bank behavior into taito_en.cpp, Add getter for voice index
 * Add precalculated ES5505 bank table for reduce performance issue, Add getter for CPU

-photoply.cpp: Add HDD firmware dump to 'photoply98sp' (Seagate ST31722A) (#7143) [ClawGrip]
 * photoply.cpp: Add HDD firmware dump to 'photoply98sp' (Seagate ST31722A)
 * photoply.cpp: Add some notes about BIOS versions and rename the files accordingly

-new NOT WORKING machines (#7142) [David Haywood]

New NOT WORKING machines
------------------------
Zeebo (Brazil) [Triple Oxygen]

-startouch.cpp: Sorted out BIOS versions (#7141) [ClawGrip]

-cps1.cpp updates: [TwistedTom]
 * add slampic, dinopic2 pals
 * redump dinopic2 bad gfx rom

New machines marked as NOT_WORKING
----------------------------------
unknown SNES bootleg [Jorge Silva]

-odyssey2: put voice roms in softwarelist [hap]

-cpc_flop.xml: Separate and reorganise the Indiana Jones games (Temple of Doom, Last Crusade and Fate of Atlantis). [Barry Rodewald]

-apple2gs: fixed Option key name, $C025 bit ordering, and Control-Reset not working [R. Belmont]

-validity.cpp, devfind.cpp: Catch missing required I/O ports in systems (excluding slot cards) [Vas Crabb]

-snesb.cpp: renamed unksnesb to wldgunsb [Ivan Vangelista]

-devices/video/k001006.cpp: removed alternate texture layout [Ivan Vangelista]

-netlist: Fix processing of TRUTHTABLES for generated files. [couriersud]
 * also made nld_devinc.h srcclean friendly.
 * nld_devinc.h and lib_entries.hxx are currently not used. You can try the automated build by changing NL_AUTO_DEVICES in setup.h
    to 1.

-xtal: Add 9.732 MHz (used by CTA Invader) [Dirk Best]

-samcoupe/mouse: Use save_item to save array [Dirk Best]

-eacc: Fixed broken link in the notes. [Robbbert]

-kim1: minor cleanup; added usage. [Robbbert]

-devfind.cpp: move explicit template instantiations below all member bodies to make clang behave [Vas Crabb]

-vtech2: Fixed case of pasted letters [Robbbert]

-netlist: Remove copyright-infringing descriptions copy/pasted from datasheets. [Vas Crabb]
 * Certain things are not considered "creative works" under copyright law, making them ineligible for copyright protection.  This
    includes pinouts (facts), descriptions of circuits (utilitarian), integrated circuit lithography masks (utilitarian, but there's
    a separate field of IP law protecting them), and character shapes (utilitarian).
 * However, many of these descriptions are substantial enough to be treated creative works.  A number of them include suggested
    applications.  There are situations where reproducing the descriptions may be permitted, for example:
   - The publisher may permit reproducing the entire datasheet for reference.
   - In some jurisdictions, fair use doctrine may allow the description to be quoted in its entirety in a larger creative work (e.g.
      in a research paper, patent application, or an original description of a circuit utilising the device).
   - Some jurisdictions allow reproduction of no more than 50% of a creative work for inclusion in teaching materials.
     * I am not confident that these soure code comments qualify as a situation where the long-form descriptions can be copied
        verbatim lawfully, especially without reproducing copyright notices for them.  If you want long form plain language
        descriptions in the comments, you need to write them yourself.  That way, you will be the copyright holder of the creative
        work, and you can make it availble under a permissive or "copyleft" license.

-snesb.cpp: added decryption for wldgunsb. Seems protected in a similar way to endless cps1bl_pic.cpp: updated outdated comment
 [Ivan Vangelista]

-mcs48: fix problem with strt_cnt if counter was already enabled [hap]

New clones marked as NOT_WORKING
--------------------------------
Photo Play 2000 (Spanish) [jordigahan, ClawGrip]

-Add 'photoply2ksp' and rename 'photoply' -> 'photoply2k' [ClawGrip]

-snesb.cpp: simplified decryption for wldgunsb [iq_132]

-concept: Add note about baud rates [AJR]

-snesb.cpp: bare minimum protection sim for wldgunsb, making it to boot [angelosa]

-snesb.cpp: wldgunsb add lives dips (nw) [angelosa]

-snesb.cpp: ofc dips needs to be sorted out (nw) [angelosa]

-williams.cpp: Document and correct Joust ROM labels. [Brian Troha]

New machines marked as NOT_WORKING
----------------------------------
Roland MKS-7 Super Quartet [DBWBP]

-makedep.py: Deal with loops when there are parent directory references in #include directives. [Vas Crabb]
 * As an aside, it would be nice if the loops weren't there in the first place.

New machines marked as NOT_WORKING
----------------------------------
GEM RealPiano RP200 [DBWBP]

new WORKING machines (#7150)
----------------------------
Ms. Pac-Man (MSI Plug & Play) [Sean Riddle]
Space Invaders (MSI Plug & Play) [Sean Riddle]

-New machines marked as NOT_WORKING  (#7151) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Photo Play 2001 (Italian) [Alex Meijer, TeamEurope]

-MPU4Video - added an experimental LUA script to the Double take layout. This takes individual lamp lines that are used for LED
 selects and recombines them. To see the effect, plugin -layout is needed. [James Wallace]

-rax: Modernize RAM allocation and object lookups [AJR]

-segas32.cpp: Eliminate auto_alloc and a bizarre comparison between bitmap pointers [AJR]

-crvision: improved keyboard. hapmon marked back to working. [Robbbert]

-fix for mess.flt [Robbbert]

New working software list additions
-----------------------------------
ibm5170: GayBlade [Ryan Best]

New not working software list additions
---------------------------------------
mac_hdflop: GayBlade [Ryan Best]

-pc_dsk: Ignore 84-byte Disk Copy 4.2 header  [Justin Kerk]

-pcp8718 / pcp8728 start using extracted internal ROM [Sean Riddle, David Haywood] (#7152) [David Haywood]
 * pcp8718 / pcp8728 start using extracted internal ROM [Sean Riddle, David Haywood]

new WORKING machine
-------------------
Mega Man 2 (MSI Plug & Play) [Sean Riddle]

-hp9k3xx_cdrom: new software list additions (#7153) [Davide Cavalca]

-New working clones (#7156) [ClawGrip]

New working clones
------------------
Meteor (bootleg of Asteroids) [Bea, Iris]

-ibm5150_hdd: new software list (#7157) [Davide Cavalca]

-crvision: used 2-dimensional ioport array to clean up code [Robbbert]
 * added reset button to manager/lasr2001 so that carts can be played
 * added notes
 * adjusted xml usage to accommodate manager/lasr2001

New working clones
------------------
Cruis'n USA (v4.5) [Simzy, Brian Troha, The Dumping Union]

-formats: Get rid of more inappropriate use of emu_fatalerror (and fix some spelling issues, etc. while I'm at it) [Vas Crabb]

-formats/flopimg.cpp: Use appropriate standard exceptions for reporting errors, allowing libemu to be removed from imgtool and
 floptool. [Vas Crabb]

-add nullptr check to some strtoul calls [hap]

-crvision: corrected name of rameses [Robbbert]

-laser2001_cart.xml: added note [Robbbert]

-new WORKING machines (Plug & Play Double Dance Mania x2) (#7158) [David Haywood]

new WORKING machines
--------------------
Double Dance Mania: Supreme / Dance Supreme [Sean Riddle, David Haywood, Kamaal Brown]
Double Dance Mania: Mega 12 [Sean Riddle, David Haywood]

new NOT WORKING
---------------
My Arcade Wireless Video Game Station 200-in-1 (DGUN-2572) [Sean Riddle, David Haywood]

-luaengine: add time_until_pos [cracyc]

-ibm5170 - New working software list additions [ArcadeShadow]
 * Added: Indiana Jones and the Last Crusade - The Graphic Adventure (3.5", VGA version, re-release), Innocent Until Caught
    Redumped: [micromac] Micro Machines (the old set has a modified OEM ID and a modified root)

-wd_fdc.cpp: Corrected register commit delay for WD177x according to datasheet. [Nigel Barnes]

-namco51: Reimplement outputs that were accidentally disabled when device switched to using low-level emulation. This restores start
 LEDs and coin lockouts for various games in galaga.cpp and polepos.cpp. [AJR]

-tr707, tr727, mks7: Add skeleton MB63H114 device [AJR]

-bus/a2bus: Added Uthernet card emulation for Apple IIgs (#7090) [Rhett Aultman]
 * Ported Cirrus Logic CS8900A Crystal LAN MAC emulation from VICE and hooked it up to Apple II card device.
 * Adds Ethernet networking support for Apple IIgs.

New machines marked as NOT_WORKING
----------------------------------
Roland TR-505 Rhythm Composer [DBWBP]

-nbajamex: Fix region width [AJR]

-Move axis movement checking code down into input devices [AJR]

-ioport: Transfer crosshair polling loop to render_crosshair [AJR]

-Remove memarray.h from emu.h [AJR]

-device_state_interface overhaul [AJR]
 * device_state_entry::value and device_state_entry::set_value now do everything except the register lookup, allowing them to be
    made public. The debugger expression engine now uses these.
 * device_state_entry::dvalue and device_state_entry::set_dvalue have also been made public, theoretically permitting outside code
    layers to inspect and modify floating-point registers.
 * The double specialization of device_pseudo_state_register (now renamed device_functional_state_register) has been added to the
    core.
 * state_add now has an additional specialization that takes both a reference and a write function, using the former for reads only.
 * state_max_length has been eliminated in favor of obtaining the relevant info through device_state_entry::max_length.
 * The debugger state view no longer adds "flags" as "???" if none have been registered.
 * set_state_string has been removed. It was never properly implemented, and it is difficult to see how it could have been done in a
    useful and consistent way.
 * state_find_entry and its typical callers state_int and set_state_int have been inlined for some hopeful efficiency gains.

-inputdev.cpp: Fix oversight [AJR]

-megadriv.xml: fixed MT07735 [Ivan Vangelista]

-apple2: Uthernet works in the //e too. [R. Belmont]

-android: auto-discover clang version (#7166) [Tiago Camargo]
 * Fix android builds after mame-0.224.

-VG5000µ updates: [Sylvain Glaize]
 * Add wavfile support for reading/writing tapes, for more accuracy. The currently supported K7 file type misses timing data.
 * VG5000µ adds a wait cycle after the second T state of the M1 cycle of the Z80. Because it was not emulated, the timings were off,
    especially in the sensible cassette read/write routines.
 * With wavfile support added and timings fixed, the emulation can now read/write cassette at 1200 and 2400 bauds.
 * Still keeping the MACHINE_NOT_WORKING flag, as real hardware tests need to be complete.

-Drop MASK from taputil.sh (#7162) [Rhett Aultman]

-st2xxx: Add many more register stubs [AJR]

-inteladv, dyndesk: Add power buttons [AJR]

-Misc QA, add self in copyright for poker72.cpp and pinkiri8.cpp (nw) [angelosa]

-st2205u: fix Clang compile. [arbee]

-st2205u: Fix duplicate state registration; add more UART stubs [AJR]

New working clones
------------------
Traverse USA (bootleg, set 2) [Juan Romero, ClawGrip]

-startouch.cpp: Add note (#7167) [ClawGrip]

-VG5000µ update: [Sylvain Glaize]
 * Add support for the "Delta" key
   - The "Delta" key on the VG5000µ keyboard is wired to directly assert the NMI line of the Z80. The handler for the NMI in the
      BASIC ROM checks if the CTRL key is also depressed and then causes a soft reset.
   - This routine can be hooked to produce other effects than soft reset.

New machines marked as NOT_WORKING
----------------------------------
Votrax/Phonic Mirror HandiVoice HC-110 [Kevin Horton]
Votrax/Phonic Mirror HandiVoice HC-120 [Kevin Horton]

New machines marked as NOT_WORKING
----------------------------------
Mini Super Fruits [jordigahan, ClawGrip]
Lucky Player [jordigahan, ClawGrip]

-Add 'minisupf' and 'luckyplr' [ClawGrip]

-ti99: Added SID Master expansion card. [Michael Zapf]

-st2205u: Add DMA register stubs [AJR]

-some experimental code for pcp8728 / pcp8718 [David Haywood] (#7168) [David Haywood]
 * handhelds test code
 * more experiments
 * change some terminology for now
 * some kind of input
 * looking better
 * bump up CPU clock
 * dma isn't as abnormal as thought, use was misunderstood
 * better palette
 * only use data for screen for screen
 * make 'fast read' mode work for the cases we have
 * some inputs as per test mode

-crvision: turn on tape motor when CRUN or CLOAD issued. [Robbbert]

New working clones
------------------
Air Duel (World, M72 hardware) [Jon Exidy]

-mz80: added missing natural keys [Robbbert]

-frontend: Added option to skip repeated imperfect emulation warnings. [Vas Crabb]
 * The option is called skip_warnings, and it must be set in ui.ini (it can be set using the internal UI).  Red warnings cannot be
    skipped; yellow warning can be skipped under certain circumstances.
 * For a yellow warning to be skipped, the system must have been launched in a way that allows warnings to be displayed, in a
    configuration with the same set of devices flagged with unemulated/imperfect features, within the last seven days, and the
    warning must have been displayed within the past 14 days.
 * Also fixed a bug with display of the MACHINE_NO_COCKTAIL flag in the internal UI, and increased the size of XML integer
    attributes to 64 bits.

new NOT_WORKING machine
-----------------------
UNO the Medal [Darksoft, rtw]

New working clones
------------------
Pacom Invader (set 2) [Dirk Best, Guru]
CTA Invader [Dirk Best, Guru]

-sn76496: remove u8106 alias [hap]

-rd100: added shift and control keys [Robbbert]

-eacc: cleanup; zx: fixed typo [Robbbert]

-rd100.cpp: Move default key assignments to better match the machine's unconventional keyboard layout. [Vas Crabb]

-Don't ignore config elements with attributes but no child nodes. [Vas Crabb]

-svi318:fixed typos [Robbbert]

-tv910: fixed natural keyboard & paste [Robbbert]

-bingor1, bingor2, bingor3, bingor4, bingor5: Mark all PIC dumps as bad [AJR]

-mrdo: update note [hap]

-tk2000:corrections for natural keyboard [Robbbert]

-teleray10: left & down swapped [Robbbert]

-snes.xml: improved documentation for nbahang cart [Heihachi_73]

-mz700: natural keyboard corrections [Robbbert]

New clones marked as NOT_WORKING
--------------------------------
Gals Panic II (English, 2 PCB ver.) [Jorge Silva]

-geneve: Add support for new SID Master card. [Michael Zapf]

-wd33c93: handle 'polled DMA' in vme_hcpu30 (nw) [Sergey Svishchev]

-add misc pal dumps [TwistedTom]

-unsp: Fix disassembly of unsigned*signed multiply instructions [AJR]

-frontend: Make unimplemented graphics and sound severe warnings. [Vas Crabb]
 * This means you'll get an unskippable red warning for systems that have unimplemented sound or graphics that are otherwise marked
    working.  This also applies to subdevices, so for example plugging a non-working video card or sound card into a computer driver
    will now cause a red warning. This should make it clearer when a game is playable but missing sound, or when a video or sound
    card doesn't work.
 * The downside is that this could cause annoyance in a couple of situations.  Workstations/servers with unemulated video that have
    working serial terminals and networking will now cause a red warning, and terminals/keyboards/etc. with missing beepers, key
    click, etc. will now cause a red warning even if they're otherwise usable.
 * It may be worth making unimplemented controls and keyboard a severe error as well, since plugging in a non-working emulated
    keyboard is likely to make a system unusable.

-bus/hp9845_io: add missing prefix header to 98036.cpp, get rid of space-before-comma [Vas Crabb]

-rmnimbus: move m1_r to callback [cracyc]

-midzeus.cpp add Mortal Kombat 4 security PIC dump [Team CAPS0ff]

New machines marked as NOT_WORKING
----------------------------------
unknown Hobby Play slot machine [jordigahan, ClawGrip]

-hiscore.dat: gauntlet high scores are in the nvram, these cause more problems then they are worth [cracyc]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Jaws [4am, Firehawke]
Dawn Patrol [4am, Firehawke]
Theseus and the Minotaur [4am, Firehawke]
Dungeon! [4am, Firehawke]
The Coveted Mirror (1983 Penguin Software release) [4am, Firehawke]
Write It Right! Capitalization and Punctuation [4am, Firehawke]
Valentine's Day Grump [4am, Firehawke]
NBA (Version 1.0) [4am, Firehawke]
Panzer Strike! (Version 1.0) [4am, Firehawke]
Police Quest [4am, Firehawke]
Techno Cop [4am, Firehawke]
Nibbler [4am, Firehawke]
Midnight Malady [4am, Firehawke]
Alf (Version 3.2) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Bop-A-Bet (cleanly cracked) [4am, san, Firehawke]
Playing with Science: Temperature (cleanly cracked) [4am, Firehawke]
Learning to Add and Subtract (cleanly cracked) [4am, Firehawke]

-fmtowns_cd.xml: 6 new dumps, 13 replacements (#7164) [r09]
 * New dumps from redump.org (working):
   - Bible Master 2 - The Chaos of Aglia Dungeon Master (1989-12-08) Hyper Planet (1990-09-20) Kyouiku & FM Towns Vol. 2 Illusion CG
      Collection Vol. 1 - Yawahada Bishoujo
 * New dumps from redump.org (not working):
   - Record of Lodoss War II - Goshiki no Maryuu
 * Replaced entries with dumps from redump.org:
   - Alone in the Dark 2 Castles Centurion - Defender of Rome De-Ja II Excellent 10 Ikazuchi no Senshi Raidy Madou Gakuin R Soko-ban
      Perfect Super Real Mahjong PII & PIII + Super Shooting Towns Wizardry - Crusaders of the Dark Savant Xak II - Rising of the
      Redmoon Xenon - Mugen no Shitai
 * Promoted wizardr7 to working, as the previous dump didn't work due to a bad conversion to CUE/BIN.

-express.cpp: Replace simple_list with std::list in parsing [AJR]
 * Report too few or too many function parameters in debug expressions as expression errors instead of exiting MAME with a fatal
    error

-s11c_bg.cpp: update comments with more accurate information, and reorder header includes to be in alphabetical order
 [Lord Nightmare]

-Synchronize metadata for The Sorcerer of Claymorgue Castle [Firehawke]

-kyocera: fixed m10 keyboard [Robbbert]
 * fixed pc8201 keyboard
 * added savestate support
 * small tidy up

-intvkbd: fixed typo in natural keyboard [Robbbert]

-microtan: added natural keyboard [Robbbert]

-ti99: Extend gromemu cartridge type to support bank-switched ROMs. [Michael Zapf]

-dpb7000: Improved DIP defaults for tablet. Started looking at tablet touch controls. [Ryan Holtz]

-bw2: added Ctrl+C to natural keyboard so you can exit the menu [Robbbert]

-chihiro.cpp brute forced key for "Sega Golf Club Network Pro Tour 2005" [f205v]

-kramermc: added a few missing natural key mappings. [Robbbert]

-pcp8718 / pcp8728 work, including unsp2.0 fixes [David Haywood] (#7179) [David Haywood]
 * possible unsp20 fixes
 * better
 * tidy ups
 * reorgainize
 * force it to run interrupt instead of simulating behavior
 * more guesses
 * change how hack works while we figure this out
 * some kind of external devcice seems to manage the game selection number.
 * some cleanups of old HLE
 * modify logging
 * stop menu crashing, sim code is still very rough tho

-sawatte: Add CPU; load cartridge ROMs [AJR]

new WORKING machine
-------------------
Super Game 7-in-1 (TimeTop SuperGame) (PAL) [Takashi Omoto, Sean Riddle]

new NOT WORKING machine
-----------------------
Frogger (MSI Plug & Play, white joystick) [Sean Riddle]

-promote hotwhl2p, no functional change, so same credits, ROM was simply verified to be trustworthy so status updated [DavidHaywood]

-microtan: adjusted keyboard to be more like a real one [Robbbert]

-sawatte: Hack in some timer IRQs [AJR]

-pb1000: added some natural keyboard keys. [Robbbert]

-util/xmlfile: Escape attribute and element content. [Vas Crabb]
 * The previous behaviour was unintuitive - parsing an XML file and writing it out immediately would produce invalid XML if the file
    contained any characters that needed escaping.  It makes far more sense to escape on writing rather than expecting the user to
    escape input.

-Add preliminary support for visibility toggles to artwork system. [Vas Crabb]
 * This allows the user to show/hide related elements in a view, with nesting.  The view can specify whether elements are shown or
    hidden by default.  Settings are saved per host window/screen per view.  There is no way to set the initial visibility state on
    the command line.  Legacy "Space Invaders cabinet model" layers are mapped onto visibility toggles.
 * This is not stable yet.  In particular, the XML element/attribute names have not been finalised.  The new features have not been
    added to complay.py to prevent them from being used before they're finalised.

-pet2001: fixed paste of letters [Robbbert]

-render.cpp: May need to recompute selected view when loading visibility toggle configuration. [Vas Crabb]

-xmlfile.cpp: Put newline where it’s supposed to go after element content. [Vas Crabb]

-plus4: fixed shifted characters in natural keyboard [Robbbert]

-ibm5170: add disk labels for msos2_13 [Davide Cavalca]

-micronic: Fix hyperlinks in source; add release date [AJR]

-micronic: More info [AJR]

-ibm5170_hdd: new software list [Davide Cavalca]

-vsmile.cpp:  Fix for vsmilem exception when starting without a cartridge image (per Ryan Holtz) (nw) [Scott Stone]

-add jurassic99 pals [TwistedTom]

-netlist: code maintenance and performance optimizations. [Couriersud]
 * rename some misleading type names
 * remove callback_t and replace by better scalable approach
 * hide implementations details
 * move sources classes from putil.h to psources.h
 * reduce code complexity
 * improve parsing performance, parsing netlists now is twice as fast.
 * fix issues around multi-byte string support
 * moved psplit into pstrutil.h

-netlist: Fix a compile issues with mingw. [couriersud]

-fmtowns: changes to 15-bit layer/sprite drawing, fixes niko2 (#7190) [r09]
 * Sprite color values are masked to their 15 least significant bits before they are rendered to VRAM.
 * Pixels on the bottom layer (or in single-layer mode) are always drawn, even if the transparency bit is set to 1.

-atetris.cpp: add support for bartop proto bank switching (#7185) [Devin Acker]
 * atetris.cpp: add support for bartop proto bank switching
 * atetris.cpp: move bartop proto handler into new subclass of atetris_state

-deco_mlc.cpp: Fix invisible pixel issue in vertical zooming algorithm (#7184) [cam900]
 * Fix invisible pixel issue in vertical zooming
 * Reduce unnecessary line check

New not working machine
-----------------------
Informer 207/376  [Dirk Best]

-p2000t: minor fixes to natural keyboard [Robbbert]

-pb2000c: fixed numerous errors from yesterday [Robbbert]

-crvision: have to indicate that joystick is 16-way (for MT 07338) [Robbbert]

-netlist: fix multi byte string issues. [couriersud]

-Votrax/Phonic Mirror HC-110 and HC-120: hook up the HC-120 keypad, fix HC-110 and HC-120 wake latch behavior and readback; HC-120
 is mostly functional now, HC-110 still needs more work. Add the 1818C phoneme ROMs as placeholders for pending work on emulating
 the 1818C speech board as its own device. Add board locations to all ROMs and PROMs. [Lord Nightmare, Kevin Horton]

-oric: fixed some natural keyboard issues; added savestate. [Robbbert]

-Finished adding new mechanism for allowing parts of views to be hidden. [Vas Crabb]
 * Changed name of element to "collection" and initial visibility attribute to "visible", and added them to documentation.  Also
    added them to complay.py.
 * Fixed issue with collection inside group, and improved initial view selection behaviour.
 * Updated some internal layouts to demonstrate new features, including et3400, irrmaze, ltcasino, mekd3/mekd4, seawolf and vgmplay.
 * Removed all uses of cpanel, marquee and overlay from internal layouts and removed them from complay.py to actively discourage
    use.  Also cleaned up view names in layouts that were using them in place of spaces, and removed some superfluous name
    attributes on elements that won't do anything useful with an output value anyway.
 * Made vgmplay cycle visualiser modes when visualiser screen is clicked.
 * Fixed a copy/paste error in bus/rs232/hlemouse.cpp while I'm at it.

-ti74: fixed +/* for natural keyboard [Robbbert]

-Bulk-updated layouts using bezels without backgrounds or screen. [Vas Crabb]
 * These layouts had bezel elements only.  It makes no sense to allow turning off all elements in a layout leaving the user with a
    blank window.  (It's possible some of them are suited to breaking up using collections, but that's a bigger job.)

-nubus: Minor cleanup to fix deprecation warnings [AJR]

-pc98.xml: Remove whitespace in hash [Thomas Klausner]

-Bulk-updated layouts using backdrops without bezels or screens. [Vas Crabb]
 * These are mostly automatically generated/converted fruit machine layouts.  They were fortuitously triggering the "alternate"
    layout mode by having multiple background elements without overlays, so alpha blending mode was used for all elements.

-tispellb: allow natural keyboard to operate the menu [Robbbert]

-sorcerer: corrected case of pasted text [Robbbert]

-Fixed issue that automatically generated unnecessary internal views. [Vas Crabb]

-Updated a few more internal layouts, mostly bezel-only ones. [Vas Crabb]
 * brkball wasn't using the DMD dots at all (it has a screen).
 * The Aristocrat layouts could use collections to allow buttons and tower lamps to be enabled/disabled independently.

-netlist: Pedantic and clang tidy updates [couriersud]
 * also fix an issue with netlist vs build

-z8: Fix reads from Ports 0 & 1; add Z86E02 type [AJR]

-puzzlet: Replace coin MCU simulation with low-level emulation [AJR]

-super80: natural keyboard cleanup; handle the @-key mistake [Robbbert]

-ibm5170 - New working software list additions (#7197) [ArcadeShadow]
 * Added: Fables & Fiends - Book One: The Legend of Kyrandia (v1.0, 5.25"), NASCAR Racing, NASCAR: Track Pack, SSN-21 SeaWolf
    Renamed [kyrandia] Fables & Fiends - Book One: The Legend of Kyrandia -> Fables & Fiends - Book One: The Legend of
    Kyrandia(v1.3, 3.5") Renamed [kyrandiafr] Fables & Fiends - Book One: The Legend of Kyrandia (France) -> Fables & Fiends - Book
    One: The Legend of Kyrandia (v1.7, 3.5", France) Corrected [mkg] Mortal Kombat (Germany) to clone of [mk] Mortal Kombat

New NOT_WORKING software list additions (#7195)
-----------------------------------------------
vsmileb_cart: [ClawGrip]
Winnie et ses amis dans la Foret des Reves Bleus (France), En Ville avec l'ourson Patoune (France) [Sean Riddle, DisizDream]

-ibm5170_hdd: new software list additions (#7192) [Davide Cavalca]

-New working clones (#7191) [ClawGrip]

New working clones
------------------
V.Smile Baby (Germany, with 'Puuhs Hundert-Morgen-Wald') [Sean Riddle, TeamEurope]

-Add 'vsmilebg' [ClawGrip]

-nubus: Fix regression in 27aa4fe0750cd128c10d580c82ab95dbef960e8b [AJR]

-williams.cpp: Correct ROM names for Joust, Stargate & Splat [Brian Troha]

New machines marked as NOT_WORKING
----------------------------------
Informer 207/100 [Bitsavers]

-drdmania.cpp: Add missing ROM [Caps0ff, ClawGrip]
 * Now the dump is complete.

-machine/tube: Added save state. [Nigel Barnes]

-bus/electron: Use input_merger for IRQs where required and various minor cleanups. [Nigel Barnes]

-bbc_tube_zep100m: Added latest known MCP 2.02, and removed imperfect disk flags. [Nigel Barnes]

-bbc_tube_arm: HIRQ line is not connected. [Nigel Barnes]

-bbc_tube_z80: HIRQ line is not connected. [Nigel Barnes]

-bus/electron/cart: Added the Pace RS423 Communications cartridge. [Nigel Barnes]

New working software list additions
-----------------------------------
electron_cart: Commstar E1.10, ROMPlus-144 v2.1 [Nigel Barnes]

New working clones
------------------
Super Space Invaders '91 (World, earlier?) [caius]

-Update another batch of layouts. [Vas Crabb]
 * The majority of these were using <bezel> for control panels.
 * Cleaned up the stactics layout, made laser LEDs use additive blending, and made it possible to hide just the control panel.
 * Added several view options to the Jockey Club family of games.
 * Added ability to show/hide parts of several other layouts.

New machines marked as NOT_WORKING
----------------------------------
Bare Knuckle III / Sunset Riders (bootleg of Megadrive versions) [hammy]

-drdmania.cpp: Add ASCII PCB layout [ClawGrip]

-williams.cpp: Minor documentation update for Bubbles & minor cut-n-paste corrections [Brian Troha]

New machines added as MACHINE_NOT_WORKING
-----------------------------------------
Newton Notepad [Pablo Marx]
MessagePad [Pablo Marx]
ExpertPad PI-7000 [Pablo Marx]
MessagePad 110 [Pablo Marx]
MessagePad 120 [Pablo Marx]
Marco [Pablo Marx]
MessagePad 130 [Pablo Marx]
eMate 300 [Pablo Marx]
MessagePad 2000 [Pablo Marx]
MessagePad 2100 [Pablo Marx]

-newton: Forgot to commit this new file with the most recent commit. [Ryan Holtz]

New machines marked as NOT_WORKING
----------------------------------
Informer 213 AE [Dirk Best, MattisLind]

-selz80: added keys so that Paste can work. [Robbbert]
 * oric: removed Todo and Notes because of a complaint.

New machines marked as NOT_WORKING
----------------------------------
PDC Clipper [Jos Dreesen, Curt Coder]

New NOT_WORKING software list additions
---------------------------------------
clipper_flop: System [Jos Dreesen, Curt Coder]

-ns32000: initial cpu emulation [Patrick Mackinlay]
 * implemented most instructions
 * preliminary interrupt/trap support
 * no fpu or mmu yet
 * took over copyright with permission
 * minor disassembler improvements

-emu3: wip checkpoint [Patrick Mackinlay]
 * hooked up the lcd controller
 * hooked up some interrupts
 * partially hooked up the debug board
 * corrected some address mappings (documentation appears incorrect)
 * separated emu3 and emax2 driver state (for now)

-trs80dt1: completed the keyboard [Robbbert]

-hobbyplay.cpp: Add note [ClawGrip]

-tube_32016: Fix build [AJR]

-emu/rendlay.cpp: Fixed bug calculating group bounds with repeats. [Vas Crabb]
 * Bounds were being miscalculated when the first element inside the group was inside a repeat or a collection.  Most visible in
    md6802.

-Updated another batch of layouts. [Vas Crabb]
 * A lot of these were using a black backdrop element to force bounds when either explicit view bounds or an empty element is a
    better way to achieve the same thing.
 * Bally by17/by35 pinball layouts have had a bit of an overhaul with the three sections of the display now abled to be toggled
    independently.
 * Ensoniq VFD layouts refactored to reduce a very large number of lines down to a few nested repeats.

-rfslots8085.cpp: Add ASCII PCB layout [ClawGrip]

-ddenlovr.cpp: Separate state class a little [AJR]

-emate.cpp: Remove driver file replaced with newton.cpp [AJR]

-Fix layout regressions in spacezap/ebases and ccompan. [Vas Crabb]

-emu/rendlay.cpp: Actually add the group bounds calculation fix. [Vas Crabb]

-Update a few more layouts. [Vas Crabb]

-st2205u: Minor corrections [AJR]

-st2xxx: Add some SPI stubs [AJR]

-ns32000: Fix EXIT [AJR]

-efootb4,einvader,einvaderc: update layouts to zoom view when hiding score display [hap]

-st2205u: Add 12-bit timers [AJR]

-cheat_simple: with game genie codes try 32k nes banks then fall back to 8k and warn with 6 char codes and banked prg [cracyc]

-unk6502_st2xxx.cpp : load preliminary dump of internal ROM for several sets [David Haywood, Sean Riddle] (#7208) [David Haywood]
 * unk6502_st2xxx.cpp : load preliminary dump of internal ROM for several sets [David Haywood, Sean Riddle]
 * disable this for now

-unk6502_st2xxx.cpp: Load internal ROM at the correct offset [AJR]
 * st2205u: Temporary kludge

New working clones
------------------
Polaris (Latest version) [Andrew Welburn, The Dumping Union]

-ns32000: fix jump instruction [Patrick Mackinlay]

-emu/rendlay.cpp: Fixed uninitialised variable breaking sdtor. [Vas Crabb]
 * Also added some optional verbose logging for debugging group bounds calculation.

-Updated another batch of layouts. [Vas Crabb]
 * Some chess layouts have had elements reordered in the XML to maintain stacking order when drawing.

-ns32000: more fixes, string instructions [Patrick Mackinlay]

-apc,attache: added missing natural-keyboard keys [Robbbert]

-emu3: scsi fixes [Patrick Mackinlay]

-alphatro,alphatpx - small natural keyboard fixes [Robbbert]

-ns32000: fix shift/rotate instruction decoding bug [Patrick Mackinlay]

-Updated most of the layouts using <bezel> elements [Vas Crabb]

-Eliminate remaining <bezel> elements from internal layouts. [Vas Crabb]
 * These layouts have changes to element stacking order that can't be avoided without changing the group structure in the layout
    files.  I think it's harmless, but it's possible it could have had a detrimental effect on risc2500 (I tested it and didn't see
    any changes, but I might not have known what to look for).

-complay.py: Added basic checks for dupicate collection names. [Vas Crabb]
 * As with other checks of this kind, it doesn't actually instantiate the layout so it doesn't check things when variable
    substitution is involved.

-Migrate layouts in src/emu as well [Vas Crabb]

-New working clones (#7205) [ClawGrip]

New working clones
------------------
V.Smile Baby (France, with 'Winnie et ses amis dans la Foret des Reves Bleus') [Sean Riddle, TeamEurope]
V.Smile Baby (France, with 'En Ville avec l'ourson Patoune') [Sean Riddle, TeamEurope]

-Add 'vsmilebf' and 'vsmilebfp' [ClawGrip]

-vsmileb_cart.xml: Remove 'poohhawaf' and 'poohhawaf' that were mistakenly added on commit #7195 [ClawGrip]
 * These are console BIOSes with a bundled in-ROM game and not cart dumps.

-Fixing an Imgtool build issue with LLVM on MSVC [npwoods]

-megadriv_acbl.cpp: preliminary dips for bk3ssrmb [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
Matrix [bytestorm]

New working clones
------------------
Midnight Run: Road Fighter 2 (AAA, Asia v1.10, newer sound program) [Guru]
Street Fighter II': Champion Edition (bootleg, set 1) [f205v, maru79]
Street Fighter II': Champion Edition (bootleg, set 2) [f205v, maru79]
Street Fighter II': Champion Edition (bootleg, set 3) [Janniz, f205v, maru79]

-video/bfm_dm01.cpp: Convert back to using outputs and update layouts. [Vas Crabb]
 * Outputs no longer require string formatting and hash lookups, and only changes to output values result in notifications.
    Performance is better than before.  We never had any kind of post-processing to make the "alternate pixels" screen bitmap look
    like a DMD, and the bilinear scaling looked awful.

-st2205u: Start pumping data out of the PSG FIFO [AJR]

-Remove last remaining uses of <background> elements in layouts, and print warning messages on encountering deprecated elements.
 [Vas Crabb]

-seta2.cpp: Fix invisible pixel issue in horizontal zoom algorithm (#7198) [cam900]
 * Add notes for background color

-cc40,cgenie: natural keyboard corrections [Robbbert]

-netlist: Implement voltage dependent timing for CD4006 [couriersud]

-netlist: add listmodels command to nltool. [Couriersud]
 * nltool --help is your friend.

-rfslots8085.cpp: Add note [ClawGrip]

-st2xxx.cpp: Update notes [AJR]

-unk6502_st2xxx.cpp: Change MCU to new type [AJR]

-st2205u.cpp: Fix last-minute copy/paste mistake [AJR]

-bus/bbc/tube/32016: Fixed paging out of ROM in lower memory only, and added the Large 4M board. [Nigel Barnes]

-acw443: Use Large 32016 2nd Processor. [Nigel Barnes]

-bbc.cpp: Centronics ack line is not inverted. [Nigel Barnes]

-electron: Use set_perfect_quantum, fixes timing issues with AP3/4 floppy interfaces and AP5 Tube devices. [Nigel Barnes]

-8080bw.cpp:  Re-added missing 'polariso' machine rom lost in renaming (nw) [Scott Stone]

-Fix issues from layout migration. [Vas Crabb]
 * Removed problematic bounds from SDA5708 layout - automatic bounds works fine.
 * de_2.cpp: Cleaned up laoyouts using loops and made bounds fit the content.
 * gts80a.cpp: Made caveman screen match the height of the backglass, fixed bounds, and added backglass-only view.
 * dct11em.cpp: Fixed layout bounds, corrected screen aspect ratio, and centred LED displays.

-ns32000: implemented dei, corrected neg [Patrick Mackinlay]

-in213ae: Small fixes [Dirk Best]
 * Add more RAM
 * Screen rendering updates, chars are only 6 pixels wide
 * Note debug tricks

-in207376: Keyboard fixes [Dirk Best]

-in207376: Redumped chargen ROM [charcole]

-in213ae: Set screen type to LCD [Dirk Best]

-in207376: Remove BAD_DUMP flag from chargen ROM [Dirk Best]

-geniusiq: minor fixes for natural keyboard [Robbbert]

-husky,hunter2,hp80: fixed case of paste [Robbbert]

-y2.cpp: Add placeholder for undumped games (#7173) [cam900]

-in207376: Add beeper [Dirk Best]

-att3b2.cpp: Update release years and device configuration [AJR]

New machines marked as NOT_WORKING
----------------------------------
Constellation Expert [hap, Berger]

-jupace: corrected a few natural keys; save-state enabled [Robbbert]

-misc chess layouts: no need for shuffling blocks around [hap]

-mchess: bezel/overlay toggles don't make much sense here [hap]

-Adjust a few layouts from the last batch. [Vas Crabb]
 * splus.cpp: Corrected screen aspect, moved LEDs/labels off screen.
 * z80ne.cpp: Restored additive screen blending for z80net/z80netb/z80netf.

Machines promoted to working
----------------------------
Constellation Expert [hap, Berger]

-mstation: fixed enter and backspace in natural keyboard [Robbbert]

-nascom1: fixed @ and ^ natural keys [Robbbert]

new NOT WORKING machines (#7212)
--------------------------------
Retro Handheld Console 152-in-1 [Sean Riddle, David Haywood]

new WORKING clones
------------------
WWE Wrestlemania Steel Cage Challenge (Plug & Play) (set 2) [Sean Riddle]

-set all GPL16250 games to 96Mhz as this seems to be accurate (will look for speedups where possible later) [David Haywood]

-fmtowns_cd.xml: 13 new dumps, 16 replacements (#7210) [r09]
 * New dumps from redump.org (working):
   - F-BASIC386 Compiler v2.1 L10 FM Towns Demonstration CD-ROM '90. Fuyu - The Galaxy of FM Towns Ginga Eiyuu Densetsu II DX+ Towns
      Special Indiana Jones and the Last Crusade (Pre-Release Version) NHK Special - Ginga Uchuu Odyssey Vol. 2 - Choushinsei
      Bakuhatsu Presence Psychic Detective Series Vol. 2 - Memories (Demo) Sherlock Holmes - Consulting Detective (Demo) Steepia
      Lite Trigger 2 Zan II - Towns Special (1992-04-23)
 * New dumps from redump.org (not working):
   - Hyper Address Ver. 2.0 Megamorph (Demo)
 * Replaced entries with dumps from redump.org:
   - Abel - Shin Mokushiroku Taisen Cyberia Dead of the Brain - Shiryou no Sakebi Dragon Half Dragon Knight III Elm Knight - A
      Living Body Armor Ningyou Tsukai Power DoLLS Power DoLLS 2 Rinkan Gakkou Shinseiki Kouboushi - Dead Force Strike Commander The
      Best Play Baseball Viper-V6 Turbo RS Zan II - Towns Special (1992-03-19) Zatsuon Ryouiki

-ddealer.cpp: Use tilemap_t for splittable foreground tilemap (#7163) [cam900]
 * ddealer.cpp: Use tilemap_t for splittable foreground tilemap
 * Fix MCU input with side effects, Reduce runtime tag lookup, Reduce duplicates, Use shorter type values, Add/Fix notes, Fix naming
 * ddealer.cpp: Fix masking

-emu/render.cpp: Apply target orientation when mapping points to layout elements. [Vas Crabb]
 * Addresses MT07375.
 * Also increase efficiency when layouts contain large numbers of non-interactive elements (e.g. thousands of matrix display dots).
 * Also includes work in progress for future improvements.

-pgm2.cpp: Changed kof98umh refresh rate to match PCB video (#7095) [cam900]

-osbexec: added ctrl keys to natural keyboard [Robbbert]

-pgm2: lores refresh rate was approximated from video recording, hsync/vtotal are not verified [hap]

-spc1500: added backspace and directional natural keys [Robbbert]

-in207376: Hook up PIT, remove clock device [Dirk Best]

-netlist: clang tidy fixes. [couriersud]

-luaengine: add ioport():type_seq [cracyc]

New clones marked as NOT_WORKING
--------------------------------
Master Bond (bootleg of Secret Agent) [caius]

-gaelcof3.cpp: decapped and dumped pic device for donpepito [Caps0ff, ClawGrip, Victor Fernández (City Game)]

-magicard.cpp: decapped and dumped pic devices for magicarde, magicardw, puzzleme and unkte06 [Caps0ff, TeamEurope]

-bingor.cpp: decapped and dumped pic device for bingor6 [Caps0ff, TeamEurope]

New clones marked as NOT_WORKING
--------------------------------
Bubble Bobble (bootleg of Japan Ver 0.0 with 8749) [ Arcadehacker, Recreativas.org, The Dumping Union]

New clones marked as NOT_WORKING
--------------------------------
Panic Park (Japan, PNP1 Ver. B, set 2) [Guru]

-microvision: put internal artwork paddle state in a vistoggle [hap]

New working clones
------------------
The History of Martial Arts (set 2) [hammy]

-squale: added notes; fixed various keyboard issues. [Robbbert]

New working clones
------------------
The Legend of Kage (bootleg set 4) [hammy]

New machines marked as NOT_WORKING
----------------------------------
unknown MGA or Costa Net slot machine [jordigahan, ArcadeHacker, ClawGrip]

-tutor: fixed ^ natural key [Robbbert]

-osd/windows: Don't restrict borderless full-screen windows to monitor work area (MT07745). [Vas Crabb]

-pencil2: fixes for natural keyboard [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Sony Trinitron Color Video Monitor BVM-20F1E [Corrado Tomaselli]

-bvm.cpp: Missed in 8edc2c5f91aaaa6dbc81400b54c584bb489b619d [AJR]

-New working clones  (#7218) [ClawGrip]

New working clones
------------------
Speed Up (Version 2.20) [Victor Fernandez (City Game), ClawGrip]

-alphatpx.cpp, hp80.cpp: Adjust keyboard mapping. [Vas Crabb]
 * alphatpx.cpp: Corrected QWERTZ layout, added u8 qualifier to key names with characters outside ASCII.
 * hp80.cpp: Added default assignment for KP. and restored PORT_CHAR for keypad digits.

-alphatpx.cpp: Fix stray quote.' [Vas Crabb]

New machines marked as NOT_WORKING
----------------------------------
Mexico Lindo [Eduardo Humberto Menezes]

-squale: altered note; removed non-existing software list (#3041) [Robbbert]

-vic20: Added ^ natural key [Robbbert]

new WORKING clones
------------------
JoJo's Bizarre Adventure (Euro 990927) [Darksoft]
JoJo's Bizarre Adventure (Euro 990913) [Darksoft]

-in207376: Various fixes [Dirk Best, charcole]
 * Replace bad ROM
 * Render line above status line
 * Support display enable bit
 * Verify PIT clock

-netlist: move to generated header and link support files files. [couriersud]
 * Removed device and macro header files.
 * All of those can be generated automatically so going forward there is no need for these any longer.
 * Introduced the modules concept. Modules are netlists for which automatic lib entries are generated.
 * Going forward you just store them in macro/modules and they will be automatically registered as device elements.
 * You need to do a "make generated" is src/lib/netlist/build
 * Some_device.cpp still needs to be added to netlist.lua
 * Added documentation on how to add devices to netlist.
 * Please refer to adding_devices.md for more information.

new NOT_WORKING machine
-----------------------
Unknown Konami slot medal game [SpinalFeyd]

-netlist: Move selected NET_MODELS into the core [couriersud]

-neptunp2.cpp: Fix games metadata [ClawGrip]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
The Last Ninja [4am, Firehawke]
Centauri Alliance [4am, Firehawke]
Apple Galaxian (StarCraft) [4am, Firehawke]
Apple World [4am, Firehawke]

-rx78: added direction, backspace, ^ natural keys [Robbbert]

-netlist: move more models into the core. [couriersud]

-in207376: Push hardcoded line 1 line down, verify video clocks [Dirk Best, charcole]

-octopus: added a few missing natural keys [Robbbert]

-Device-fied PRO-CT0 for protection, aka ALPHA-8921(in Some later 80s alpha denshi PCBs) or SNK-9201 prot_fatfury2.cpp: Convert
 protection into alpha_8921.cpp device [cam900]

-alpha_8921: remove empty comment blocks [hap]

-netlist: remove obsolete headers from netlist.lua [couriersud]

-poisk1: added direction natural keys [Robbbert]

-mm1kb: added quote natural key [Robbbert]

-emu/save.h: Added support for saving arrays of attotimes and renamed macros to make purpose more obvious. [Vas Crabb]

-plugins: add emu.plugin table to contain plugin exported interfaces [cracyc]

-mbc55x: fixed number pad, fixed '&' natural key [Robbbert]

-pwm: remove now-obsolete savestate workaround [hap]

-Significant internal changes to sound streams (#7169) [Aaron Giles]
 * Significant internal changes to sound streams:
 * Abstracted buffers of sound data into an internal stream_buffer class, with helper classes read_stream_view and write_stream_view
    which offer readable/writable "views" into the buffers
 * Internal sound calculations are all done using stream_buffer::sample_t, which is a 32-bit float; existing callbacks are supported
    through an adapter that converts to/from signed 32-bit integers
 * Improved behavior of dynamic stream sample rate changes to resample a short runway of data to preserve continuity across
    transitions
 * Created a new stream update callback which passes a std::vector of read_stream_views for inputs, and a std::vector of
    write_stream_views for outputs
 * Updated core mixer and speaker devices to the new stream update callback
 * Updated the following sound cores to the new stream update callback: ay8910, dac, k054539, msm5205, namco, netlist, okim6295,
    pokey, samples, sn76496, sp0250, tms5220, tms57002, upd7759, vgm_visualizer, volt_reg
 * Changed existing stream update callback to make inputs explicitly const and the output pointers const as well, since they are
    re-used across calls; fixed several engines that violated this rule
 * Sound_manager::stream_alloc can no longer automatically connect to a device's sound_stream_update callback; instead, the
    stream_alloc() on the sound_device_interface should be called; updated many violators of this rule
 * Streams can be created with SAMPLE_RATE_OUTPUT_ADAPTIVE, which dynamically tracks the sample rate of its first downstream output,
    or with SAMPLE_RATE_INPUT_ADAPTIVE, which tracks the sample rate of its first input
 * Changed resampling to be a separate sound_stream that is invoked as needed, opening the path for selectable resampling
    implementations
 * Added a flags parameter to the new stream allocation method that allows you to specify a that input streams should not be
    resampled
 * Exposed stream_input and stream_output classes directly, simplifying access to user gains and stream names
 * Added a simple dynamic compressor to sound_manager to provide nicer results when overdriven sound happens; compression does not
    affect speaker_report results
 * Improved verbose speaker_report to print a graph of peaks over time
 * More aggressive debugging enabled for now even in release builds (should be disabled prior to next release) via SOUND_DEBUG
    define in sound.h; report any assertions for fixing

-sensorboard: add support for ctrl modifier with magnet boards [hap]

-sensorboard: makes no sense to apply Ctrl for lifted pieces on magnet board [hap]

-alpha_8921.cpp: Fix clang error: switch condition has boolean value [-Werror,-Wswitch-bool]

-multipcm.cpp: Work around template error introduced in 9b582574922cb7af1a9a31c1182c300b90a20c43 [AJR]

-es5503: don't overdrive the output [R. Belmont]

-taito_en: fix overdriving that caused distortion and pops in previous versions [R. Belmont]

-plugin/cheat: flesh out the exported interface a bit more [cracyc]

-bublbobl.cpp: Dumped and verified PROM from 'bub8749' [ArcadeHacker]

-emu/save.cpp: Fix bad SFINAE trick breaking segapcm.cpp, fix saving attotime array on 32-bit Linux targets that align u64 on 32-bit
 boundaries [Vas Crabb]

-bublbobl.cpp: Remove outdated comment about 8749 [ClawGrip]

-plugin/cheat: check value is a mulitple of step [cracyc]

-plugin/cheat: subtract min before dividing [cracyc]

-pdp1: Clean up callbacks and start encapsulating peripherals [AJR]
 * pdp1, pdp8: Apply word shift to address spaces

-pdp8/unidasm: Consistency [AJR]

-votrax: Updated to new stream callback. [Aaron Giles]

-qbert: Better approximation of Votrax frequencies, pending deeper analysis. [Aaron Giles]

-Converted 'a' sound devices to new callbacks. [Aaron Giles]

-pdp1: More cleanups and fixes [AJR]

-tx0: Fix CPU address calculation [AJR]

-starwbc: increase cpu speed a bit [hap]

-microdar.cpp: Add small note about undumped game [ClawGrip]

-zn.cpp: add config port for Tetris: The Grand Master debug buttons (#7232) [Devin Acker]

-in207376: Hook up brightness control and switch to X2212 [Dirk Best]

-mcs48: fix a regression with previous change to strt_cnt [hap]

-sound: Drive updates more sensibly from the sound manager, fixing some asserts. [Aaron Giles]

-i8244: update to use newsound [hap]

-sound: Fix edge case where pending sample rate matches output. [Aaron Giles]

-kl5c80a12, kl5c80a16: Added emulation of KP63(A) Timer/Counter unit. This improves timings in animalc, haekaka, pyenaget and
 tdoboon. [AJR]
 * animalc: Pile kludge upon kludge for poorly understood video timing register
 * gocowboy, itazuram: Increase frequency of one timer interrupt (and hopper timing in gocowboy)
 * kc82, kp69: Modernize state_add syntax

-kl5c80a12, kl5c80a16: Actually add timers to configuration (files overlooked in 7e121d68bb443f579da3271e43255d69925d71a3) [AJR]

-jaguar.cpp: Document alternate ROM labels for Maximum Force v1.02 [Brian Troha]

-beep/bsmt2000/c140/c352/c6280/cdda: Update to new stream callbacks [Aaron Giles]

-emu3.cpp: Fix clang build. [Curt Coder]

-abc1600.cpp: Improve debug logging. [Curt Coder]

-kp63: probably fixed compile error [hap]

-plugins/cheat: copy the cheat table to not expose internal state (#7238) [cracyc]

-cyberbal: Fix SAC communications between 6502 and 68000 (MT 7749) [AJR]

-emu/rendlay.cpp: Added parameter animation and state masks. [Vas Crabb]
 * Components may have multiple bounds and/or color child elements with state attributes, allowing for piecewise linear
    position/size/colour animation.
 * Components may have a statemask attribute, allowing for things like using external images to draw a multi-segment LED/VFD display
    without requiring dozens of outputs for the individual lines or thousands of images for all possible states.  (Texture caching
    still never releases anything, so MAME can still exceed the maximum number of textures, but that’s a separate issue.)
 * Image components with alpha now blend over previously drawn components.
 * Layouts have been changed to use yes/no for inputraw to match what's used for flipx/flipy.  External layouts with 1/0 will still
    work, but complay.py will complain.

-supercon: trying a different blend method in internal artwork [hap]

-megadriv.xml, vgmplay.xml:   Change release years for Chester Cheetah games  (nw) [Scott Stone]

-megadriv.xml, vsmileb_cart.xml:  Fixed typo and format fix (nw) [Scott Stone]

-cem3394: Major rework [Aaron Giles]
 * Updated to new stream callback
 * All calculations are now doing in floating point
 * External input is now done via an input stream
 * First attempt at implementing a proper filter -- needs some major work; checking in current state to get some assistance

-Docs: Overhaul the default keys list (#7222) [Firehawke]
 * Docs: Overhaul the default keys list
 * Second phase of documenting default inputs better, also change Score to Take Score in Mahjong inputs
 * Phase two of default keys docs adjustment.

-plugins/cheat: small simplification [cracyc]

-Cleaned up inputs a little. [Vas Crabb]
 * Removed the IPT_POKER_BET, replacing it with IPT_GAMBLE_BET.
 * Re-organised the order of input types in the source and the documentation to better reflect how they're logically grouped or
    organised on a mahjong or gambling control panel.
 * Made the blackjack, poker and slots documentation headings subheadings under the gambling heading.
 * Cleaned up inputs for a number of gambling games.

-Fix artwork labeld for tisub buttons [Vas Crabb]

-sound: Fix #7241, crash when restoring save state. [Aaron Giles]

new NOT_WORKING machines
------------------------
Star Horse 2002 (main screens) [f205v, rtw]
Star Horse 2002 (sound and backup, Rev A) [f205v, rtw]
Star Horse 2002 (live) [f205v, rtw]

-arcade.lua: remove nonexistent file [hap]

-super80: fixed artwork regression [Robbbert]

new NOT_WORKING machine
-----------------------
Unknown Konami slot medal game (set 2) [Philip Bennett]

-konmedal68k.cpp fix slot games palette format [MetalliC]

-uts400kbd: fixed @ and tic natural keys [Robbbert]

-cdp1863/cdp1864/cpd1869: update to new stream callbacks [Aaron Giles]

-cdp1863/cdp1864/cpd1869: update to new stream callbacks [Aaron Giles]

-ginganin.cpp: remove trivial ROM patch, use nopw() instead. [Angelo Salese]

-dac76/dave/digitalk/discrete: update to new stream callbacks [Aaron Giles]

-Fix some layouts that were depending on emergent behaviour rather than specifying state="0" on components explicitly. [Vas Crabb]

-Mac updates [R. Belmont]
 * Moved macadb out of mac_state into a device
 * Moved SE and Classic to mac128 where they fit in much better
 * Removed a bunch of cruft from mac_state
 * Slowed Egret and Cuda down to the correct clocks

New working software list additions (#7244)
-------------------------------------------
vsmilem_cart: [ClawGrip]
Yingyu Yundongyuan (China) [tenyuhuang]

New NOT_WORKING software list additions (#7245)
-----------------------------------------------
vsmile_cart: [ClawGrip]
V.Smile Smart Keyboard (USA) [tenyuhuang]

-new NOT WORKING (plug play) (#7237) [David Haywood]

new NOT WORKING
---------------
Camp Rock Guitar Video Game (JAKKS Pacific TV Game) [Sean Riddle, Team Europe, David Haywood]

-megaplay.cpp: make the existing Columns 3 dip switch definitions actually used (#7233) [Devin Acker]

-apple3: restore default boot ROM to original [R. Belmont]

-apple2: CFFA2 is actually named "CFFA 2.0", not 2000. [R. Belmont]

-sound: Improved view interfaces to match usage patterns [Aaron Giles]
 * read/write_stream_views now have an internal index
 * get/put/add/fill/copy now implicitly use and advance this index
 * new method reset() can (re)set the internal index
 * new method done() checks if index is past the end
 * new method remaining() indicates how many samples remain
 * get_indexed/put_indexed/etc available for random access
 * updated all consumers to new interfaces

-Revert "sound: Improved view interfaces to match usage patterns" [Aaron Giles]
 * This reverts commit dc0ede3c90717ed25de0695c555b861f06344f18.

-Add MDCR support for P2000t (#7215) [Erwin Jansen]
 * This adds support for the mini digital cassette recorder that can be found inside a P2000t. This implementation is based on
    documentation that can be found in https://github.com/p2000t/documentation.
 * In memory of NPM Jansen, who taught me all the magic of bits and bytes.

-fix build [MetalliC]

New machines marked as NOT_WORKING
----------------------------------
Informer 213 [Bitsavers]

-compis: added some missing natural keys; fixed "orphaned streams". [Robbbert]

-dmac_0266: fixes and a hack [Patrick Mackinlay]
 * changed handlers to reflect documented names
 * removed non-existant interrupt output
 * corrected number and width of map entries
 * added a hack to allow NEWS-OS to boot

-news_68k: incorporate dmac changes [Patrick Mackinlay]
 * NEWS-OS now boots and runs in serial console mode

-machine.lua: revert unwanted addition [Patrick Mackinlay]

-in207376: Fix NMI hookup [Dirk Best, charcole]

-rainbow: fixed < > natural keys [Robbbert]

-news: hopefully fixed the build [Robbbert]

-dmv: fixed various natural keys [Robbbert]

-k7659kb: fixed some natural keys [Robbbert]

-Fix clang error: using integer absolute value function 'abs' when argument is of floating point type [-Werror,-Wabsolute-value]

New machines marked as NOT_WORKING
----------------------------------
Roland JD-800 Programmable Synthesizer [DBWBP]

-kaypro: fixed '!' natural key [Robbbert]

-netlist: Move ICL8038_DIP and NE556_DIP to core. [couriersud]
 * Remove code duplication.

-netlist: optimize headers. [couriersud]
 * where possible rely on forward declarations to optimiuze compile time.

-netlist: emscripten can not use specialization efficiently. [couriersud]
 * Consequently prefer to save on compile time and size.

-sound: Some optimizations for common cases [Aaron Giles]
 * Reuse resamplers if routing the same output to multiple targets at the same rate
 * Avoid copying when there's only one stream going through a mixer

-dmadac/dspv: update to new stream callbacks [Aaron Giles]

-6522via: port B special modes are only on write, not read [Rob Justice]

-prehisle.cpp: Fix priority, Add notes for romanization [cam900]

-Remove VRR statement until it can be retested. [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
BattleTech: The Crescent Hawk's Inception [4am, Firehawke]
Voodoo Island [4am, Firehawke]
Forbidden Castle [4am, Firehawke]
The American Challenge: A Sailing Simulation [4am, Firehawke]
The Mist [4am, Firehawke]
Bop 'N Wrestle [4am, Firehawke]
Bank Street Storybook (Version 1.2) [4am, Firehawke]
Crossword Magic (Version 4.0) [4am, Firehawke]
Riddle Magic [4am, Firehawke]
Apventure to Atlantis [4am, Firehawke]
Mummy's Curse [4am, Firehawke]
Mission on Thunderhead [4am, Firehawke]
Space Rogue [4am, Firehawke]

-Netlist devices for MCM14524, CD4029, CD4030, CD4042, CD4049, CD4076 [Lord Nightmare]

-es1373/es5503/es5506/esqpump: update to new stream callbacks [Aaron Giles]

-Patch up a few more layouts [Vas Crabb]

-flt_rc/flt_vol: update to new stream callbacks [Aaron Giles]

-esqpump: missed change [Aaron Giles]

-gaelco/gb/hc55516/huc620: update to new stream callback [Aaron Giles]

-Cleaned up some more layouts, made videopkr/fortune1 layout clickable [Vas Crabb]

-videopkr.cpp: Clean up layouts and make layouts clickable for poker and slots games. [Vas Crabb]

-ssystem3.lay: fix regression due to missing state=0 [hap]

-ssystem3.lay: retry fix regression due to missing state=0 (previous didn't work on bgfx) [hap]

-Add MDCR support to P2000m (#7253) [Erwin Jansen]
 * The P2000M shipped with an MDCR as well. We now turn the MDCR into a required device and initialize it for the M model as well.
 * This fixes a nullptr exception upon access of ports 0x10, 0x20.
 * Includes a fix to reset the phase decoder when the end of tape signal is raised.
 * We now properly detect presence of a tape, and whether or not it is write enabled.
 * Test: Official maintenance module ROM status test succeeds.

-in207100: Get something on screen [Dirk Best]

-emscripten: netlist and OpenGL improvements. (#7254) [couriersud]
 * Most OpenGL link issues fixed. Two remain from drawogl.cpp. This isn't working anyhow.
 * "-video accel" now uses WebGL. This allows GL based scaling and provides a performance improvement.
 * Fixed pong and other games by adding another function to the exception whitelist
 * Target now is mame.html. This allows emrun to be used for testing. mame.js is created as well and thus the current behaviour
    unchanged.

-Fix a minor error in the CD4076 netlist library device implementation definition. [Lord-Nightmare]

-i5000/ics2115/iopspu/iremga20: update to new stream callbacks [Aaron Giles]

-pc1512: fixed a few natural keys [Robbbert]

-distate: remove unused variable [hap]

-apple2gs: cleaned up VGC interrupt registers, fixes music tempo and hang on death in Rastan [R. Belmont]

-Clean up some more layouts. [Vas Crabb]

-pcd: added control, shift, break natural keys [Robbbert]

-cem3394: switch to alternate filter that is more stable [Aaron Giles]

-victor9k: fixed [ and ] natural keys [Robbbert]

-emu/rendlay.cpp: Small optimisation for opaque pixels in image component. [Vas Crabb]

-machine/pc1512kb.cpp: Put \| and #~ on the right keys by default. [Vas Crabb]

-docs: Re-organised default keys, added P2-4 defaults, added mahjong panel diagram. [Vas Crabb]

-wangpc: fixed [ and ] natural keys, added ^C. [Robbbert]

-xerox820: fixed 9,0,|,\,~,` natural keys, added ^C. [Robbbert]

-adam: fixed tic natural key [Robbbert]

-Fix clang error: private field 'm_filter_in' is not used [-Werror,-Wunused-private-field]

-debug/express.h: Remove leftover declaration [AJR]

-Fixing a cheat plugin bug [npwoods]

-plan80: added shift and control natural keys. [Robbbert]

-ptcsol: added directional natural keys [Robbbert]

new NOT_WORKING machine
-----------------------
Goemon Medal Game [Philip Bennett]

-new NOT WORKING machines (Plug & Play) + replace a bunch of no longer used / needed HLE (#7255) [David Haywood]

new NOT WORKING machines
------------------------
Handheld Game Console BC-19 - 218 in 1 [Sean Riddle, David Haywood]
Vs. Maxx 17-in-1 [Sean Riddle, David Haywood]

-reworked pcp8718 / pcp8728 / bkid218 to not HLE certain syscalls and to instead use the proper ROM code, removed excessive HLE
 logging and no longer relevant notes etc.. [David Haywood]
 * identify a few IO related bits
 * revise notes
 * sync to latest cleanups, no functional change
 * re-srcclean
 * remove another HLE related comment

-k005289/k007232/k051649/k053260/k054539/ks0164: update to new stream callbacks [Aaron Giles]

-sound: Fix asserts due to sample-rate ping-pong in esq5505 driver [Aaron Giles]

-esqpump: A bit more cleanup thanks to synchronous streams [Aaron Giles]

-la7a1045/lmc1992/mas3507d/mea8000/mos6560/mos6581/mos7360/msm5232/multipcm: update to new stream callbacks [Aaron Giles]

-generalplus_gpl32612.cpp - add some bootstrap code so that the ARM has something to run [DavidHaywood]

-karnov: Hook up MCU dumps for karnov [Brian Troha, TeamEurope, The Dumping Union, Dirk Best]
 * Use dumped MCU for karnov and karnova
 * Use a handcrafted MCU dump based on the US version for karnovj

-Cleaned up Williams System 11 pinball layouts. [Vas Crabb]

-rendlay.cpp: Correct output alpha for rect and disk components. [Vas Crabb]
 * This corrects alpha for cases when both the rect/disk and whatever it's drawing over are translucent, and also optimises for
    fully opaque and fully transparent pixels.

-util/bitmap.cpp: Use std::fill_n to get better code for modern CPUs. [Vas Crabb]

-comx35: fixed quote natural key, removed spurious ones [Robbbert]

-clcd: added various natural keys [Robbbert]

-sound: fix some crackling when upsampling [Aaron Giles]

-namco_163/nes_apu/nile: Update to new stream callbacks [Aaron Giles]

-fm7: added '_' and '|' natural keys [Robbbert]

-fmtowns: added various natural keys [Robbbert]

-h19: fixed colon natural key [Robbbert]

-mc8020: fixed some natural keys; fixed display of '@' character. [Robbbert]

-new WORKING machines (Plug & Play) (#7269) [David Haywood]

new WORKING machines
--------------------
Wireless Tennis (PAL, Play Vision) [David Haywood, Sean Riddle]
World Soccer TV Game 10-in-1 (PAL) [David Haywood, Sean Riddle]
Solar Games 80-in-1 (PAL) [David Haywood, Sean Riddle]
Out Run 2019 (Radica Plug & Play, Europe) [David Haywood, Sean Riddle]
new NOT WORKING machines [David Haywood]
----- [David Haywood]
10 Jeux Interactifs / Jeux Pour Filles (France) [David Haywood, Sean Riddle, Team Europe]

-added a note to indicate that the ROM from the Out Run 2019 Radica Plug & Play matches what is considered to be a 'Beta /
 Prototype' US version in NoIntro / MAME Software Lists. [David Haywood]
 * correct hash

-fc100: various corrections and additions of natural keys. [Robbbert]

-karnovjbl: Make it run as well as before [Dirk Best]

-netlist: code refactoring. [couriersud]
 * rename mat_cr.h to pmatrix_cr.h
 * Optimization to the gmres solver.
 * Simplifcation of vector operation code

-astrob: significant performance increase [couriersud]
 * uses all 4 Sonar oscillators
 * uses randomized resistor values (5% range)
 * uses frontiers to separate oscillators
 * improves performance to 340% locally.

-lcmate2: a few natural keyboard fixes/ [Robbbert]

-instruct: added notes, fixed artwork. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Pac-Carnival [Phil Bennett]

-mm5837: unify implementations [Aaron Giles]
 * create base mm5837_source device to provide raw output
 * mm5837_device is based on it
 * mm5837_stream_device generates a sound stream from it
 * frequency calculation now computed instead of table-based

-mm5837: validation error [Robbbert]

-mame.lst: moved macse,macsefd,macclasc to mac128.cpp [Robbbert]

-nscsi: have bad hard disk reads actually fail instead of just returning zeroes [R. Belmont]

-sound: Add a few new helpers to write_stream_view [Aaron Giles]
 * put_clamp - clamps the input value before writing
 * put_int - takes an integer and coverts it to float
 * put_int_clamp - converts and clamps an integer
 * add_int - converts an int and adds to the current sample

-apple2: preliminary support for the Sider SASI card and the Xebec OEM version [R. Belmont]

-es5503: revert to last version that plays correctly [arbee]

-okim6258/okim6376/okim9810/pcd3311/qs1000/qsound: update to new stream callbacks [Aaron Giles]

-Fix merge error [Aaron Giles]

New working clones
------------------
P.O.W. - Prisoners of War (bootleg of US version 1) [Victor Fernandez (City Game)]

-New working clones (#7235) [ClawGrip]

New working clones
------------------
Olivmandingo (Spanish bootleg of Mandinga on Galaxian hardware, set 2) [Retromaniacs]

-laser3k: corrected a few natural keys [Robbbert]

-rf5c400/rf5c68/rolandpcm/git status [Aaron Giles]

-Fix for last commit [Aaron Giles]

-applix: added many missing natural keys [Robbbert]

-dauphin: adjusted notes. [Robbbert]

-m5: Put backslash on the correct key [Robbbert]

-dp8344: Simulate data loopback; misc. tweaks and fixes [AJR]

New machines marked as NOT_WORKING
----------------------------------
Adacom CP-150 Plus [Bitsavers]

-mz2500: added numerous missing keys [Robbbert]

-dm3270: added directional natural keys [Robbbert]

-nc: fixed C,G,backspace,shift natural keys [Robbbert]

-pmi80: added ability to Paste. [Robbbert]

-apf: added notes about monitor mode [Robbbert]

-bml3: added natural keys; added break-nmi key. [Robbbert]

New clones marked as NOT_WORKING
--------------------------------
Sahara Love [PinMAME]

-pcp8718 / pcp8728 / bkid218 - make menu controller a shared device (#7270) [David Haywood]

-pc4: added a few natural keys [Robbbert]

-fmtowns_flop.xml: add 2 new dumps (#7263) [r09]
 * 386|ASM Tool Kit V1.1 Super Daisenryaku

-ay8910.cpp: Reduce performance when expanded mode is enable (#7259) [cam900]

New machines marked as NOT_WORKING
----------------------------------
Janken Game Acchi Muite Hoi! (Japan 1.3)
  [Phil Bennett, ShouTime, Surgeville, Sean Sutton, Jred, Mike Krug, Smitdogg, The Dumping Union]

-Fix for qsoundhle [Aaron Giles]

-s_dsp/saa1099/scsp/segapcm/sn76477/snkwave/sp0256/spkrdev/spu/st0016/swp*: Update to new stream callbacks [Aaron Giles]

New working clones
------------------
Asterion [Lorenzo Fongaro, Xadhoom, Paolo Bolognesi, Paolo Rinoldi]

-bus/bbc/userport: CB lines are bi-directional. [Nigel Barnes]

-t6963c: decrease warning serverity [hap]

-m92.cpp: Add PCB IC locations to the In The Hunt sets. [Brian Troha]

-t6721a/t6w28/tc8830f/tia/tms36xx/tms5110/upd1771/upd7752/upd934g/vlm5030/vrc6/vrender0/wave/x1_010: update to new stream callbacks
 [Aaron Giles]

-ym2203/ym2608/ym2610/ym2612/ymf262/ym3526/ym3812/y8950/ym2413/ymf271/ymf278b/ymz280b/ymz770/zsg2: update to new stream callbacks
 [Aaron Giles]

-deco_mlc.cpp: acchi PCB hasn't got a Deco 146, so removed it from the machine config [Ivan Vangelista]

-deco_mlc.cpp: fixed GFX loading and decoding [Phil Bennett]

-fm/fmopl: Minor cleanups [Aaron Giles]

-quickpick5.cpp checkpoint: rename goemedal to waijockey, add quickpick5 serial IO device, input ports [MetalliC]

-in213: Implement some basic functionality [Dirk Best]
 * Hook up periodic and keyboard interrupts
 * Implement keyboard and hook it up
 * Render according to vram address and add basic cursor support
 * Hook up bell sound

-apple3 updates: [Rob Justice, R. Belmont]
 * Fix missed typo in the BIOS loading
 * Update slot IRQ handling
 * Start infrastructure to allow emulating the Titan cards

-deco_mlc.cpp: worked around hangs in acchi astrof.cpp: corrected year for asterion cps1bl_5205.cpp: sf2ceb4 manufacturer is
 Playmark [Ivan Vangelista]

-quickpick5.cpp add remaining quickpick5 inputs, promote to working [MetalliC]

-in213: Implement reverse video [Dirk Best]

New machines marked as NOT_WORKING
----------------------------------
New Pro Bowl [Phil Bennett]

-bus/bbc/userport: Added the Hybrid Music 4000 Keyboard. [Nigel Barnes]

-Fix the compile. [arbee]

-hiscore.dat: fix set names [cracyc]

-apple2: Sider updates [Peter Ferrie, R. Belmont]
 * Renamed cards.  The card we were calling "Xebec" was actually the Sider 1, which used 256 byte blocks and a special on-disk
    format.
 * Removed ROM patches for the Sider 1 card.
 * Included source of short program to convert standard disk images to Sider 2 format.

-deco_mlc.cpp: only Stadium Hero '96 has the DECO146 on cart, so updated the maching configs to reflect this. Also removed some
 unused variables [Ivan Vangelista]

-taitoair.cpp: Add notes for ROZ chip (#7278) [cam900]

-Update vtech_storio_cart.xml (#7276) [David 'Foxhack' Silva]
 * Added full list of Storio releases

New working clones
------------------
Gundam Wing: Endless Duel (SNES bootleg, set 2) [Jorge Silva]

-vtech_storio_cart.xml: srcclean output and a couple minor German titles corrections [Ivan Vangelista]

-wswan/wscolor: Add boot rom support (#7277) [wilbertpol]
 * wswan: Add boot rom. [Wilbert Pol]
 * wswan: merge drivers/wswan.cpp, includes/wswan.h, and machine/wswan.cpp (nw)
 * wswan: fix background color selection in wsc mode (nw)
 * wswan: add defaults for the internal eeproms (nw)
 * wswan: add some documentation; rename a few methods (nw)

-swp00: new sound doesn't like it if you don't fill your buffer [Aaron Giles]

-in213: Various keyboard fixes [Dirk Best]

-in213: Major rendering updates [Dirk Best]
 * Add support for scrolling
 * Implement per character attributes
 * Custom cursor shapes and blinking

-bus/bbc/joyport: CB lines are bi-directional. [Nigel Barnes]

-machines promoted to WORKING (Plug and Play) (#7282) [David Haywood]

machines promoted to WORKING
----------------------------
Golden Nugget Casino [David Haywood, Sean Riddle]
Sudoku Plug & Play TV Game '6 Intelligent Games' [David Haywood, Sean Riddle]
Frogger (MSI Plug & Play, white joystick) [David Haywood, Sean Riddle]
35 in 1 Super Twins [David Haywood, Sean Riddle]
Vs. Maxx 17-in-1 [David Haywood, Sean Riddle]

-made use of the code that was already partially present in the NES PPU code to handle emphasis modes, used to highlight tally bars
 etc. in 'nes rampart', apply a red tint to 'fds bublbobl' and dim the screen in a number of other games. [David Haywood]
 * fixed a number of issues with VT palette modes that was causing black screens in many games, allowing them to be promoted
 * added a timing kludge for interrupts in the NES Frogger titles, until timings are better overall,makes playfield stable here and
    in a number of other places so that other things can be improved
 * note "Vs. Maxx 17-in-1" was added as NOT WORKING in this same cycle so if this gets merged before freeze they'll need to be moved
    to the 'new working' section.
 * This is a checkpoint, further code improvements and refactors will come later.

-audio/gottlieb.cpp:  Tweaked Votrax speech frequency settings to better match samples/recording for Q*bert. [Scott Stone]

-apple2: reduced speaker volume to avoid overdriving the mixer. [R. Belmont]

-es5503: re-modernized, no breakage this time. [R. Belmont]

-ay8910.cpp: Fix noise rate regression (#7283) [cam900]

-kaypro: removed save supported flag until it can be investigated. [Robbbert]

-es5503: use put_int for sample scaling, use fill_n for faster clear [R. Belmont]

-netlist: code refactoring [couriersud]
 * use default move and copy constructors
 * various minor edits like adding noexcept
 * removed a lot of inline keywords - you can't beat the compiler

-netlist: Improve queue handling documentation in code. [couriersud]
 * Document that for performance reasons pushes to queue are allowed even if they may not change state and are filtered out during
    process.
 * Provide alternative code path. This is currently not used.

-netlist: Fix 128 bit integer support. [couriersud]

-netlist: clearly identify void * casts. [couriersud]

-netlist: make pstring length/size use consistent. [couriersud]
 * length reports the number of character codes in the string
 * size reports the size in memory units
 * Reminder: Set PSTRING_USE_STD_STRING to 1 in pstring.h and get native std::string
 * pstrings are compatible to std::string but only support a limited subset of functionality.
 * By default (always like this) utf8 is supported and thus length reports the number of multi-byte characters.

-netlist: Fixed a couple of issues with various compilers. [couriersud]

-pc8001: fixed a few natural keys [Robbbert]

-t11: Disassembly updates [AJR]
 * Correct mnemonics for CLC, CLV, CLZ and CLN
 * Add MFPT mnemonic
 * Rename JSR/RTS short forms to CALL and RETURN
 * Eliminate alternate PUSH and POP mnemonics
 * Add notes on instructions not implemented on T-11

-Fix Bondwell 2 machine (#7284) [lfantoniosi]
 * The write protection bit was inverted, with that change you can write into IMD files without error.
 * The ramcard was broken, it should only respond to addresses below 0x8000, now the option -exp ramcard works and boots up
    correctly

-fix build [MetalliC]

-informer_213.cpp: Fix clang error: explicitly assigning value of variable of type 'uint8_t' (aka 'unsigned char') to itself
 [-Werror,-Wself-assign]

-machines promoted to WORKING (Plug and Play, vgtablet) (#7285) [David Haywood]

machines promoted to WORKING
----------------------------
VG Pocket Tablet (VG-4000) [David Haywood]

-nes_vt - fixed logic for external memory / internal mapper selection [David Haywood]

-nes_vt - tweak vt control handling [David Haywood]

-Makefile: add GEN_FOLDERS dependency to mucld.hxx (#7279) [Jamie]

-okim9810: Make address space big-endian [AJR]

-small quality of life fixes [DavidHaywood]

-es5503 updates: [R. Belmont]
 * Fix some corner cases with swap mode on even vs. odd oscillators
 * Use std::vector as intermediate buffer and resize on sample rate changes

-sound: Fix assertion when loading save state from command line. [Aaron Giles]

-pcw: added missing @ key [Robbbert]

-bus/bbc/1mhzbus: Added the Acorn Music 500, Hybrid Music 5000 Synthesiser, Hybrid Music 3000 Expander, and Peartree Music 87
 Synthesiser. [Nigel Barnes]

New working software list additions
-----------------------------------
bbc_flop_hybrid: Various discs for use with the Hybrid Music System. [Nigel Barnes]

-psion5mx: added/corrected some natural keys. [Robbbert]

-bbc_flop_hybrid.xml:383 : Validation error. [Robbbert]

-Fix MT07756 (ROM sets incorrectly being reported as missing) by partially reverting 44416bee2d3b14dabc32df064f93af5b6bb740c0.
 [Vas Crabb]
 * Also some random minor cleanup.

-osi: added notes and a few extra natural keys [Robbbert]

-d6800: The design of this system makes it impossible for paste to work, so removed the definitions. [Robbbert]

-jr100: added [@] natural keys; turned down the volume. [Robbbert]

-d6800: fixed duplicate keys in Input(this machine) and added key labels. [Robbbert]

-aristmk4.cpp: corrected ROM labels for fhunter and fhuntera [Heihachi_73] astrof.cpp: added manufacturer for sstarbtl bootleg
 [Ivan Vangelista]

-pgm2.cpp measured common resolution refresh rate [ekorz]

-sbc6510: added lowercase natural keys [Robbbert]

-imd_dsk: Fix bug when changing IMD image [lfantoniosi] (#7289) [lfantoniosi]
 * Fix bug when changing IMD image
   - These arrays weren't zeroed when changing a IMD disk for saving.

-spc1000: added directional natural keys [Robbbert]

-ti85: fixed typo [Robbbert]

-d6800: cleaned up keyboard code [Robbbert]

-mc6845: Fix off-by-one error in calculating bottom of DE window [AJR]

-netlist: minor code cleanup. [couriersud]
 * a number of minor fixes leading to an increase of 570% to 588% on pongf.
 * admittedly micro optimization.
 * Includes some comments why certain decisions have been taken.

-ymf271: Modernize save state registration; allow disabling of side effects for reading [AJR]

-Add abs, bit, s8, s16, s32 functions to debugger [AJR]

-tmc600: a few natural keyboard corrections. [Robbbert]

-nmk16.cpp: dumped mask ROMs for tdragon3h [hammy]

-nmk16.cpp: removed unintendedly committed line [Ivan Vangelista]

-vidbrain: added function keys as natural keys; added notes. [Robbbert]

-vixen: various natural key fixes [Robbbert]

-seibuspi: allow recovery if MAME is exited during the initial flash process [R. Belmont]

-x1: various keyboard fixes [Robbbert]
 * added support for capslock and control
 * default to lowercase like real machine
 * fixed Z not shifting
 * fixed missing natural keys

-Changed some sound devices back to using std::unique_ptr<T []> for things that don't need to change size. [Vas Crabb]
 * Using a std::vector has additional overhead for keeping the size and allocated size, and it means you can inadvertently resize
    it.  Also, if you register one for save state then cause it to reallocate, very bad things happen.
 * Fixed some mixed tab/space indents in sound/mm5837.h
 * Changed namco_163.cpp to have registers as an array in the device, since there aren't many of them, and also restored zeroing
    them on start.

-mbee: marked mbee as MNW, because the keyboard broke a few months ago. [Robbbert]

-omti8621: Reimplement FDC rate selection [AJR]

-nforcepc/xbox: set values for various configuration space pci registers [yz70s]

-ibm5170 - New working software list additions [ArcadeShadow]
 * Added: In Extremis, Mega lo Mania (Germany) Redumped: The Humans (3.5" DD) (redump disk 1 - game is now working)

-omti8621: Add as standard 16-bit ISA device [AJR]

-ibm5170: new software list addition (#7227) [Davide Cavalca]

New working software list additions
-----------------------------------
ibm5170: DOOM (1.2, Shareware for BBS SysOps)  [Davide Cavalca]

-ibm5170.xml: Fix validity check [Justin Kerk]

-ibm5150.xml: Add Fire & Forget 2 [Darkstar]

-fmtowns_cd.xml: 3 new dumps, 5 replacements, railtycn/lipsadv3 floppies (#7281) [r09]
 * fmtowns_cd.xml: 3 new dumps, 5 replacements, railtycn floppy
   - New dumps (working):
     * NHK Eigo de Asobo Vol. 3 - Bernard no Amusement Park [redump.org] Oshiete Noobow [sampson] Z's Triphony DigitalCraft Towns
        (HMB-212) [redump.org]
   - Replaced entries with dumps from redump.org:
     * Burai Kanketsu-hen Jealousy Kindan no Ketsuzoku Lunatic Dawn II Necronomicon
   - Added floppy disk dump to Railroad Tycoon and promoted to working [anonymous]
 * fmtowns_cd.xml: add recreated floppy image for lipsadv3

-ibm5150 - New working software list additions [ArcadeShadow]
 * Added: 4D Sports Driving (3.5", Euro), 4D Sports Driving (5.25", Euro) Redumped: [stunts] (the old one has a modified OEM ID)
    Misc: [stunts] and [stunts35] are now clones of [4dsdrv] ; Renamed developer info on [cadaver], [menace], [caveugh],
    [indycrus35], [serenia], [kingqst], [mineshft]

-Disable SOUND_DEBUG for non-debug builds, and srcclean [Vas Crabb]

-microtan.cpp: Swap a couple of default key mappings to better reflect layout. [Vas Crabb]

-adjusted some titles (lowercase for things that aren't actually part of the title itself) [Vas Crabb]

-mac: fix crash regression on macqd700 [R. Belmont]

-mac128: possible fix for out-of-bounds ROM access [R. Belmont]

-Remove embed files unintentionally added to Emscripten build [Justin Kerk]

-Update arcade.lua [Roberto Fresca]
 * Fix the arcade build (MASH)
 * (cherry picked from commit 04a21129e8f3d5650809b48d368a473e263f09e0)
